Pilot smarT.NC

Pilot smarT.NC

Valid for:
340 490-08, 340 491-08, 340 492-08, 340 493-08, 340 494-08, 606 420-03, 606 421-03, 606 424-03

Release:
21.03.2013-en-

Copyright © 2012 DR. JOHANNES HEIDENHAIN GmbH. All rights reserved.


The smarT.NC Pilot

Further Informations:
>


The smarT.NC Pilot
Further Informations:
> The smarT.NC Pilot


The smarT.NC Pilot

Control | NC software number
iTNC 530 | 340490-08
iTNC 530 with HSCI | 606420-03
iTNC 530, export version | 340491-08
iTNC 530, export version with HSCI | 606421-03
iTNC 530 with -Windows XP | 340492-08
iTNC 530 with -Windows XP, export version | 340493-08
iTNC 530 programming station | 340494-08
iTNC 530 programming station | 606424-03

... is the concise programming guide for the smarT.NC operating mode of the iTNC 530. For complete information on programming and operating the iTNC 530, refer to the User's Manual.

Further Informations:
> Symbols in the Pilot


Symbols in the Pilot

Certain symbols are used in the Pilot to denote specific types of information:

Important note!

The TNC and the machine tool must be prepared by the machine tool builder to perform this function!

Warning: danger for the user or machine!


Quick Guide

Further Informations:
> Quick Guide


Quick Guide

Quick Guide

Further Informations:
> For the first time, select the new operating mode and create a new program
> Exercise 1: Simple drilling operations in smarT.NC
> Exercise 2: Simple milling operations in smarT.NC
> Exercise 3: Contour milling in smarT.NC


For the first time, select the new operating mode and create a new program

Select the smarT.NC operating mode: The TNC is found in the file management (see figure at right). If the TNC is not located in the file management: Press the PGM MGT key

In order to write a new machining program, press the new file soft key. smarT.NC opens a pop-up window

Enter a file name with the extension .HU, and confirm with ENT

Confirm with the MM (or INCH) soft key or screen button. smarT.NC creates an .HU program with the selected units of measurement and automatically inserts the program header form. This form contains in addition to the workpiece blank definition the most important presettings valid for the rest of the program

Select the standard values and save the program header form: Press the END key: You can now define the working steps


Exercise 1: Simple drilling operations in smarT.NC

Further Informations:
> Task
> Prerequisites
> Defining centering
> Defining drilling
> Defining tapping
> Test run
> Running a program


Task

Centering bolt hole circle, drilling and tapping


Prerequisites

    The following tools must be defined in the tool table TOOL.T:

  • NC center drill, diameter 10 mm
  • Drill, diameter 5 mm
  • Tap M6


Defining centering

Insert a machining step: Press the Insert soft key

Inserting a machining step

Insert drilling operation: The TNC displays a soft key row with the available drilling operations

Select centering: The TNC displays the overview form for defining the entire centering operation

Specify tool: Press the select soft key for the TNC to display the contents of the tool table TOOL.T in a pop-up window

Move the highlight with the cursor keys onto the NC center drill and enter it into the form with the ENT key. As an alternative, you may also enter the tool number directly and confirm the entry with the ENT key

Enter the spindle speed and confirm entry with the ENT key

Enter the centering feed rate and confirm entry with the ENT key

Switch to depth entry via soft key and confirm entry with the ENT key. Enter the desired depth

Select the Positiondetail form with the key for switching the tabs

Switch to bolt hole circle definition. Enter required bolt hole circle data and confirm each entry with the ENT key

Save the form with the END key. Definition of the centering operation is complete


Defining drilling

Select drilling: Press the unit 205 soft key for the TNC to display the form for drilling operations

Specify tool: Press the select soft key for the TNC to display the contents of the tool table TOOL.T in a pop-up window

Move the highlight with the cursor keys onto the NC drill and enter it into the form with the ENT key

Enter the spindle speed and confirm entry with the ENT key

Enter the drilling feed rate and confirm entry with the ENT key

Enter the drilling depth and confirm entry with the ENT key

Enter infeed depth, save the form with the END key

You do not need to define the drilling positions again. The TNC automatically uses the previously defined positions, i.e. those defined for the centering operation.


Defining tapping

One level upwards via the BACK soft key

Insert tapping operation: Press the thread soft key for the TNC to display a soft key row with the available tapping operations

Select rigid tapping: Press the unit 209 soft key for the TNC to display the form for defining tapping operations

Specify tool: Press the select soft key for the TNC to display the contents of the tool table TOOL.T in a pop-up window

Move the highlight with the cursor keys onto the tap and enter it into the form with the ENT key

Enter the spindle speed and confirm entry with the ENT key

Enter the depth of thread and confirm with the ENT key

Enter the thread pitch, save the form with the END key

You do not need to define the drilling positions again. The TNC automatically uses the previously defined positions, i.e. those defined for the centering operation.


Test run

Select the initial soft key row with the smarT.NC key (home function)

Select the Test Run submode

Start the test run: The TNC simulates the machining operations defined by you

Select the initial soft key row with the smarT.NC key (home function) after program end


Running a program

Select the initial soft key row with the smarT.NC key (home function)

Select the Program Run submode

Start the program run: The TNC runs the machining operations defined by you

Select the initial soft key row with the smarT.NC key (home function) after program end


Exercise 2: Simple milling operations in smarT.NC

Further Informations:
> Task
> Prerequisites
> Defining circular pocket


Task

Roughing and finishing a circular pocket with a tool


Prerequisites

    The following tool must be defined in the tool table TOOL.T:

  • End mill, diameter 10 mm


Defining circular pocket

Insert a machining step: Press the Insert soft key

Inserting a machining step

Insert pocket machining: Press the Pockets/Studs soft key for the TNC to display a soft key row with the available milling operations

Select circular pocket: Press the unit 252 soft key. The TNC displays the form for circular pocket machining The machining operation is set to roughing and finishing

Specify tool: Press the select soft key for the TNC to display the contents of the tool table TOOL.T in a pop-up window

Move the highlight onto the end mill with the cursor keys and enter it into the form with the ENT key

Enter the spindle speed and confirm entry with the ENT key

Enter the plunging feed rate and confirm with the ENT key

Enter the milling feed rate and confirm with the ENT key

Enter the circular pocket diameter and confirm with the ENT key

Enter depth, infeed depth and finishing allowance for the side and confirm each time with the ENT key

Enter X and Y center point coordinates for the circular pocket, confirm each time with the ENT key

Save the form with the END key. Definition of the circular pocket operation is complete

Test and run the newly created program as previously described


Exercise 3: Contour milling in smarT.NC

Further Informations:
> Task
> Prerequisites
> Defining contour machining


Task

Roughing and finishing a contour with a tool


Prerequisites

    The following tool must be defined in the tool table TOOL.T:

  • End mill, diameter 22 mm


Defining contour machining

Insert a machining step: Press the Insert soft key

Inserting a machining step

Insert contour machining: Press the Contr. pgm soft key for the TNC to display a soft key row with the available contour operations

Select contour train machining: Press the unit 125 soft key. The TNC displays the form for a contour operation

Specify tool: Press the select soft key for the TNC to display the contents of the tool table TOOL.T in a pop-up window

Move the highlight onto the end mill with the cursor keys and enter it into the form with the ENT key

Enter the spindle speed and confirm entry with the ENT key

Enter the plunging feed rate and confirm with the ENT key

Enter the milling feed rate and confirm with the ENT key

Enter coordinates of workpiece upper edge, depth, infeed depth and finishing allowance for the side and confirm each time with the ENT key

Select type of milling, radius compensation and type of approach via soft keys and confirm each time with the ENT key

Enter the approach parameters and confirm each time with the ENT key

The input field Contour name is active. Create a new contour program: smarT.NC displays a pop-up window for entering the contour name. Enter the name of the contour, confirm with the ENT key. smarT.NC is now in contour programming mode

Define the starting point of the contour in X and Y with the L key: X=10, Y=10, save with the end key

Approach point 2 with the L key: X=90, save with the END key

Define a curvature radius of 8 mm with the rnd key, save with the end key

Approach point 3 with the L key: Y=80, save with the END key

Approach point 4 with the L key: X=90, Y=70, save with the END key

Approach point 5 with the L key: Y=10, save with the END key

Define a chamfer of 6 mm with the chf key, save with the end key

Approach end point 6 with the L key: X=10, save with the END key

Save contour program with the END key: smarT.NC now again displays the form for defining contour machining

Save entire contour machining with the END key. Definition of contour machining is complete

Test and run the newly created program as previously described


Fundamentals

Further Informations:
> Fundamentals


Fundamentals

Fundamentals

Further Informations:
> Introduction to smarT.NC
> Programs/Files
> Selecting the new operating mode the first time
> File management with smarT.NC
> Navigating in smarT.NC
> Screen layout during editing
> Mouse operation
> Copying units
> Tool table editing
> MOD function


Introduction to smarT.NC

With smarT.NC you can easily write structured conversational programs in separate working steps (units) and, if you want, edit them with the conversational editor. Since the only data basis for smarT.NC is the conversational program, you can modify data with the conversational editor, for example, and show them in the form view.

Immediately understandable input forms in the right half of the screen make it easier to define the required machining parameters, which are also displayed in a help graphic (lower left quarter of the screen). The structured program layout in a tree diagram (top left quarter of the screen) provides you with a quick overview of the working steps in a part program.

The separate and universal operating mode smarT.NC provides an alternative to the well known conversational programming. As soon as you have defined a machining step you can graphically test it and/or run it in the new operating mode.

Furthermore, unit programming can also be used in normal plain-language programs (.H programs). The smartWizard function inserts any available units you wish at any location you select in the conversational program. Please also refer to the Special Functions chapter in the conversational programming User's Manual.

Further Informations:
> Parallel programming


Parallel programming

You can also create and edit smarT.NC programs at the same time that the TNC is running another program. Simply switch to the Programming and Editing operating mode and open the desired smarT.NC program there.

If you want to edit the smarT.NC program with the conversational editor, select the open with function in the file manager, and then press converstl.


Programs/Files

Files in the TNC | Type
Programs In HEIDENHAIN format In DIN/ISO format | .H .I
smarT.NC files Structured unit programs Contour descriptions Point tables for -machining positions | .HU .HC .HP
Tables for Tools Tool changers Pallets Datums Presets (reference points) Cutting data Cutting materials, workpiece materials | .T .TCH .P .D .PR .CDT .TAB
Texts as ASCII files Help files | .A .CHM
Drawing data as DXF files | .DXF

The TNC keeps its programs, tables and texts in files. A file designation consists of two components:

PROG20 | .HU
File name | File type

smarT.NC uses mainly three file types:

  • Unit programs (file type .HU)
    Unit programs are conversational programs that contain two additional structuring elements: The beginning (UNIT xxx) and the end (END OF UNIT xxx) of a machining step
  • Contour descriptions (file type .HC)
    Contour descriptions are conversational programs. They must only contain path functions that can be used to describe a contour in the machining plane. The following elements are permitted: L, C with CC, CT, CR, RND, CHF as well as the FPOL, FL, FLT, FC and FCT elements for FK free contour programming
  • Point tables (file type .HP)
    smarT.NC saves in point tables the machining positions that you defined using the powerful pattern generator

As a default, smarT.NC automatically saves all files in the TNC:\smarTNC directory. However, you can also select any other directory.


Selecting the new operating mode the first time

Select the smarT.NC operating mode: The file manager of the TNC appears

Select one of the available example programs with the arrow keys and press ENTER, or

In order to write a new machining program, press the new file soft key. smarT.NC opens a pop-up window

Enter a file name with the extension .HU, and confirm with ENT

Confirm with the MM (or INCH) soft key or screen button. smarT.NC creates an .HU program with the selected units of measurement and automatically inserts the program header form

The data for the program header form are mandatory, since they are globally valid for the entire machining program. The default values are specified internally. Change the data if necessary, and save them with the END key

In order to define machining steps, press the -edit soft key to select the desired machining step


File management with smarT.NC

As mentioned previously, smarT.NC differentiates between three file types: unit programs (.HU), contour descriptions (.HC) and point tables (.HP). These three file types can be selected and edited in the file manager in the smarT.NC operating mode. Contour descriptions and point tables can also be edited if you are currently defining a machining unit.

You can also open DXF files from within smarT.NC in order to extract contour descriptions (.HC files) and machining positions (.HP files) from them (software option).

The file manager in smarT.NC can also be fully operated with the mouse. You can even use the mouse to change the sizes of the windows within the file manager. Click the horizontal or vertical separating line, and drag it to the desired position with the mouse.

Further Informations:
> Calling the file manager
> Selecting drives, directories and files
> Creating a new directory
> Creating a new file
> Copying files into the same directory
> Copying files into another directory
> Deleting a file
> Renaming a file
> Protecting a file / Canceling file protection
> Selecting one of the last 15 files selected
> Updating directories
> File sorting
> Adapting the file manager


Calling the file manager

  • To select the file manager, press the PGM MGT key: The TNC displays the file manager window (the figure at right shows the default setting). If the TNC displays a different screen layout, press the WINDOW soft key on the second soft-key row)

The top window on the left shows the available drives and directories. Drives designate devices with which data are stored or transferred. A drive can be the hard disk of the TNC, directories connected via the network, or USB devices. A directory is always identified by a folder symbol to the left and the directory name to the right. Subdirectories are shown to the right of and below their parent directories. A triangle pointing to the right in front of the folder symbol indicates that there are further subdirectories, which can be shown with the right arrow key.

The lower window on the left shows a preview of the file contents if an .HP or .HC file is highlighted.

The wide window on the right shows you all files that are stored in the selected directory. Each file is shown with additional information, illustrated in the table below.

Display | Meaning
File name | Name with max. 25 characters
Type | File type
Size | File size in bytes
Changed | Date and time of last change
Status | File properties: E:: Program is selected in the Programming and Editing mode of operation. S: Program is selected in the Test Run mode of operation. M: Program is selected in a Program Run mode of operation P: File is protected against deletion and editing. +: Dependent files exist (structure file, tool-usage file)


Selecting drives, directories and files
 | Call the file manager
Use the arrow keys or the soft keys to move the highlight to the desired position on the screen:
 | Moves the highlight from the left to the right window, and vice versa
 | Moves the highlight up and down within a window
 | Moves the highlight one page up or down within a window

Step 1: Select drive

Move the highlight to the desired drive in the left window:
 | To select a drive, press the SELECT soft key, or
 | Press the ENT key

Step 2: Select a directory

Move the highlight to the desired directory in the left-hand window—the right-hand window automatically shows all files stored in the highlighted directory

Step 3: Select a file

 | Press the SELECT TYPE soft key
 | Press the soft key for the desired file type, or
 | Press the SHOW ALL soft key to display all files, or
Move the highlight to the desired file in the right window:
 | Press the SELECT soft key, or
 | Press the ENT key: The TNC opens the selected file

If you type in a name from the keyboard, the TNC synchronizes the highlight with the entered characters so that you can find the file more easily.


Creating a new directory

  • Press the PGM MGT soft key to call the file manager

  • Use the left arrow key to select the directory tree

  • Select the TNC:\ drive if you want to create a new main directory, or select an existing directory to create a new subdirectory in it

  • Enter the name of the new directory, and confirm it with the ENT key. smarT.NC then displays a pop-up window to confirm the new path name

  • Press ENT or the Yes button to confirm. In order to cancel the procedure, press the ESC key or the No button

You can also create a new program with the new directory soft key. Then enter the directory name in the pop-up window and confirm with the ENT key.


Creating a new file

  • Press the PGM MGT soft key to call the file manager

  • Select the file type of the new file, as described earlier

  • Enter a file name without an extension, and confirm with ENT

  • Confirm with the MM (or INCH) soft key or screen button. smarT.NC creates a file with the selected units of measurement In order to cancel the procedure, press the ESC key or the Cancel button

You can also create a new file with the new file soft key. Then enter the file name in the pop-up window and confirm with the ENT key.


Copying files into the same directory

  • Press the PGM MGT soft key to call the file manager

  • Use the arrow keys to place the highlight on the file you want to copy

  • Press the copy soft key. smarT.NC opens a pop-up window

  • Enter the file name of the target file without the file type, and confirm with the ENT key or the OK button. smarT.NC copies the contents of the selected file into a new file of the same file type. In order to cancel the procedure, press the ESC key or the Cancel button

  • If you want to copy the file to another directory, press the soft key for path selection, select the desired directory from the pop-up window, and confirm with ENT or the OK button


Copying files into another directory

  • Press the PGM MGT soft key to call the file manager

  • Use the arrow keys to place the highlight on the file you want to copy

  • Select the second soft-key row and press the window soft key to split the TNC screen

  • Shift the highlight to the left window with the left arrow key

  • Press the path soft key. smarT.NC opens a pop-up window

  • In the pop-up window, select the directory to which you want to copy the file, and confirm with ENT or the OK button

  • Shift the highlight to the right window with the right arrow key

  • Press the copy soft key. smarT.NC opens a pop-up window

  • If required, enter the new file name of the target file without the file type, and confirm with the ENT key or the OK button. smarT.NC copies the contents of the selected file into a new file of the same file type. In order to cancel the procedure, press the ESC key or the Cancel button

If you want to copy multiple files, select these with the mouse button. Press the CTRL key and select the desired file.


Deleting a file

  • Press the PGM MGT soft key to call the file manager

  • Use the arrow keys to place the highlight on the file you want to delete

  • Select the second soft-key row

  • Press the delete soft key: smarT.NC opens a pop-up window

  • In order to delete the selected file, press either the ENT key or the Yes button. In order to cancel the delete procedure, press the ESC key or the No button


Renaming a file

  • Press the PGM MGT soft key to call the file manager

  • Use the arrow keys to place the highlight on the file you want to rename

  • Select the second soft-key row

  • Press the rename soft key: smarT.NC opens a pop-up window

  • Enter the new file name and confirm your entry with the ENT key or OK button. In order to cancel the procedure, press the ESC key or the Cancel button


Protecting a file / Canceling file protection

  • Press the PGM MGT soft key to call the file manager

  • Use the arrow keys to place the highlight on the file you want to protect or whose file protection you want to cancel

  • Select the third soft-key row

  • Press the delete soft key: smarT.NC opens a pop-up window

  • Press the MORE FUNCTIONS soft key

  • To protect the selected file: Press the Protect soft key. To cancel file protection: Press the Unprotected soft key


Selecting one of the last 15 files selected

  • Press the PGM MGT soft key to call the file manager

  • Press the last files soft key. smarT.NC displays the last 15 files that you selected in the smarT.NC operating mode

  • Use the arrow keys to place the highlight on the file you want to select

  • Press the ENT key to select the file


Updating directories

If you are navigating on an external data carrier, it might become necessary to update the directory tree:

  • Press the PGM MGT soft key to call the file manager

  • Use the left arrow key to select the directory tree

  • Press the UPDATE TREE soft key: The TNC updates the directory tree


File sorting

Use the mouse to perform the file-sorting functions. You can sort the files by name, type, size, change date and file status, in ascending or descending order:

  • Press the PGM MGT soft key to call the file manager

  • Click with the mouse the column header you want to sort by. A triangle in the column header indicates the sorting sequence. Click the header again to reverse the sequence


Adapting the file manager

You open the menu for adapting the file manager either by clicking the path name, or with soft keys:

  • Press the PGM MGT soft key to call the file manager

  • Select the third soft-key row

  • Press the MORE FUNCTIONS soft key

  • Press the options soft key: the TNC displays the menu for adapting the file manager

  • Use the arrow keys to move the highlight to the desired setting

  • Activate or deactivate the desired setting with the space bar

    You can adapt the file manager as follows:

  • Bookmarks
    You can use bookmarks to manage your favorite directories. You can add or delete the current directory to or from the list, or delete all bookmarks. All directories that you have added appear in the bookmark list, making them available for rapid selection
  • View
    In the View menu item you specify the type of information the TNC is to display in the file window
  • Date format
    In the Date format menu you specify the format in which the TNC displays the date in the Changed column
  • Settings
    If the cursor is in the directory tree: specify if the TNC is to switch windows when the right arrow key is pressed, or if the TNC is to open any subdirectories


Navigating in smarT.NC

When developing smarT.NC, care was taken to ensure that the operating keys familiar from conversational programming (ENT, DEL, END, ...) are usable in a nearly identical manner in the new operating mode. The keys have the following functions:

Function when tree view is active (left side of screen) | Key
Activate form in order to enter or change data |
Conclude editing: smarT.NC automatically calls the file manager |
Delete selected machining step (entire unit) |
Position highlight to next/previous machining step |
Show symbols for detail forms in tree view, if an arrow pointing to the right is displayed in front of the tree view symbol, or switch to the form if the detail view is already open |
Hide symbols for detail forms in tree view, if an arrow pointing down is displayed in front of the tree view symbol |
Go to previous page |
Go to next page |
Go to beginning of file |
Go to end of file |
Function when the form is active (right side of screen) | Key
Select next input field |
Conclude editing of the form: smarT.NC saves all changed data |
Cancel editing of the form: smarT.NC does not save the changed data |
Position highlight to next/previous input field or element |
Position the cursor within the active input field in order to change individual parts of the values, or if an option box is active: Select next/previous option |
Reset an already entered numerical value to 0 |
Delete completely the contents of the active input field |

In addition, the keyboard unit has three keys to allow you to navigate even faster within the forms:

Function when the form is active (right side of screen) | Key
Select next subform |
Select first input parameter in next frame |
Select first input parameter in previous frame |

When you edit contours you can also position the cursor with the orange axis keys so that the coordinate entry is identical to the conversational entry. You can also switch between absolute and incremental or Cartesian and polar coordinate programming with the relevant plain-language keys.

Function when the form is active (right side of screen) | Key
Select input field for X axis |
Select input field for Y axis |
Select input field for Z axis |
Switch between incremental and absolute input |
Switch between Cartesian and polar coordinate input |


Screen layout during editing

The screen layout while editing in the smarT.NC mode depends on the file type currently selected for editing.

Further Informations:
> Editing unit programs
> Editing machining positions
> Editing contours
> Displaying DXF files


Editing unit programs

1

Header: Operating mode text, error messages

2

Active background mode of operation

3

Tree view in which the defined machining units are shown in a structured format

4

Form window with the various input parameters. Depending on the machining step, there can be up to five forms:

  • 4.1: Overview form
    Entry of the parameters in the overview form suffices to perform the basic functions of the current machining step. The data in the overview form are an excerpt of the most important data, which can also be entered in the detail forms
  • 4.2: Tool detail form
    Input of additional tool-specific data
  • 4.3: Optional parameters detail form
    Input of additional, optional machining parameters
  • 4.4: Positions detail form
    Input of additional machining positions
  • 4.5: Global data detail form
    List of globally effective data

5

Support graphics window, in which the input parameter currently active in the form is displayed


Editing machining positions
1 | Header: Operating mode text, error messages
2 | Active background mode of operation
3 | Tree view in which the defined working patterns are shown in a structured format
4 | Form window with the appropriate input parameters
5 | Support graphics window, in which the input parameter currently active is displayed
6 | Graphics window, in which the programmed machining positions are shown immediately after the form is saved


Editing contours

1

Header: Operating mode text, error messages

2

Active background mode of operation

3

Tree view in which the contour elements are shown in a structured format

4

Form window with the various input parameters. In FK programming there can be up to four forms:

  • 4.1: Overview form
    Contains the input possibilities used most often
  • 4.2: Detail form 1
    Contains input possibilities for auxiliary points (FL/FLT) and for circle data (FC/FCT)
  • 4.3: Detail form 2
    Contains input possibilities for relative references (FL/FLT) and for auxiliary points (FC/FCT)
  • 4.4: Detail form 3
    Only available for FC/FCT, contains input possibilities for relative references

5

Support graphics window, in which the input parameter currently active is displayed

6

Graphics window, in which the programmed contours are shown immediately after the form is saved


Displaying DXF files
1 | Header: Operating mode text, error messages
2 | Active background mode of operation
3 | Layers or already selected contour elements or positions in the DXF file
4 | Drawing window in which smarT.NC shows the DXF file contents


Mouse operation

    Using the mouse is also very easy. Please note the following specifics:

  • In addition to the mouse functions familiar from Windows, you can also click the smarT.NC soft keys with the mouse
  • If multiple soft-key rows are present (represented by lines directly above the soft keys), you can activate a row by pressing the corresponding line
  • In the tree view, click the arrows pointing to the right to show detail forms, and click the arrows pointing down to hide them again
  • In order to change values in a form, click any input field or option box, and smarT.NC automatically switches to editing mode
  • To exit the formula again (to end the editing mode): Click anywhere in the tree view. Then smarT.NC asks whether to save changes in the form
  • If you move the mouse over any window element, smarT.NC displays a tooltip. The tooltip contains brief information on the respective function of the element


Copying units

You can copy individual machining units very easily with the familiar Windows shortcut keys:

  • Ctrl+C to copy the unit
  • Ctrl+X to cut the unit out
  • Ctrl+V to insert the unit behind the active one

If you want to copy two or more units at the same time, proceed as follows:

Switch to the top level of the soft-key row

Use the arrow keys or the mouse to select the first unit to be copied

Activate the marking function

Use the cursor keys or the MARK NEXT BLOCK soft key to select all units to be copied

Copy the marked block to the clipboard (also works with Ctrl+C)

Use the cursor keys or soft key to select the unit just before the desired insertion point for the copied block

Insert the block from the clipboard (also works with Ctrl+V)


Tool table editing

You can edit the tool table TOOL.T immediately after you have selected the smarT.NC operating mode. The TNC displays the tool data structured in forms. The tool table is navigated in a manner identical to the rest of smarT.NC see Navigating in smarT.NC.

The tool data is structured in the following groups:

  • Overview tab:
    Summary of the tool data most often used, such as tool name, length and radius
  • Add. Data tab:
    Additional tool data necessary for special applications
  • Add. Data tab:
    Management of replacement tools and further additional tool data
  • Touch Probe tab:
    Data for 3-D touch probes and tool touch probes
  • PLC tab:
    Data that is necessary for interfacing your machine with the TNC, and that has been specified by your machine manufacturer
  • CDT tab:
    Data for automatic calculation of cutting data

Please also note the detailed description of the tool data in the User's Manual for Conversational Programming.

The tool type is used by the TNC to determine the symbol shown in the treeview. Additionally, the TNC also shows the entered tool name in the treeview.

On the corresponding tabs, smarT.NC does not show tool data that have been deactivated via machine parameter. In this case one or more tabs may not be visible.


MOD function

The MOD functions provide additional input possibilities and displays.

Further Informations:
> Selecting the MOD functions
> Changing the settings
> Exiting the MOD functions


Selecting the MOD functions

Press the MOD key for the TNC to display the possible settings in the smarT.NC operating mode


Changing the settings

  • Select the desired MOD function in the displayed menu with the arrow keys

    There are three possibilities for changing a setting, depending on the function selected:

  • Enter a numerical value directly, e.g. when determining the traverse range limit
  • Change a setting by pressing the ENT key, e.g. when setting program input
  • Change a setting via a selection window. If more than one possibility is available for a particular setting, you can superimpose a window listing all of the given possibilities by pressing the GOTO key. Select the desired setting directly by pressing the corresponding numerical key (to the left of the colon), or by using the arrow keys and then confirming with ENT. If you don't want to change the setting, close the window again with END


Exiting the MOD functions

  • To exit the MOD functions, press the END key or END soft key


Defining machining operations

Further Informations:
> Defining machining operations


Defining machining operations

Defining machining operations

Further Informations:
> Fundamentals
> Program settings
> Tool selection
> RPM/cutting-speed switchover
> F/FZ/FU/FMAX switchover
> Selecting data from similar, previously defined units
> Available machining steps (units)
> Machining main group
> Drilling machining group
> Thread machining group
> Pockets/Studs machining group
> Contour Program machining group
> Surfaces machining group
> Special Units machining group
> Probing main group
> Rotation function group
> Preset (Datum) function group
> Measuring function group
> Special Functions function group
> Kinematics Measurement function group (option)
> Tool function group
> Conversion main group
> Special Functions main group


Fundamentals

Machining operations are basically defined in smarT.NC as machining steps (units), which as a rule consist of several programming blocks in conversational format. smarT.NC automatically creates the conversational blocks in the background in an .HU file (HU: HEIDENHAIN Unit program), which looks just like a normal program in conversational format.

The actual machining operation is performed by a cycle available on the TNC. You specify the parameters via the input fields on the forms.

You can define a machining step with just a few entries in the overview form 1, (see figure at top right). smarT.NC then performs the operation with basic functions. Detail forms (2) are available for entering additional machining data. Values entered in the detail forms are automatically synchronized with the data entered in the overview form, so you don't have to enter them twice. The following detail forms are available:

  • Tool detail form (3)
    On the tool detail form you can enter additional tool-specific data, such as delta values for the length and radius, or M functions.
  • Optional parameters detail form (4)
    On the optional parameters detail form you can define additional machining parameters which are not listed on the overview form, such as decrements for drilling or pocket positions for milling.
  • Positions detail form (5)
    On the positions detail form you can define additional machining positions if the three machining locations on the overview form do not suffice. If you define machining positions in point tables, then both the overview form and the positions detail form only show the names of the point table files see Fundamentals.
  • Global data detail form (6)
    The globally effective machining parameters defined in the program header are listed on the global data detail form. If necessary, you can change these parameters for each unit locally.


Program settings

After you have created a new unit program, smarT.NC automatically inserts the Unit 700 Program Settings.

The Unit 700 Program Settings must exist in a program, otherwise that program cannot be executed by smarT.NC.

The following data must be defined in the program settings:

  • Workpiece blank definition for determining the machining plane and for the graphic simulation
  • Options for selection of the workpiece preset and the datum table to be -used
  • Global data, valid for the entire program. The global data are automatically assigned default values by smarT.NC. These can be changed at any time

Please note that later changes to the program settings affect the entire machining program, and can therefore change the machining procedure significantly.

Further Informations:
> Global data
> Global data valid everywhere
> Global data for positioning behavior
> Global data for drilling operations
> Global data for milling operations with pocket cycles
> Global data for milling operations with contour cycles
> Global data for probing functions


Global data

The global data are divided into six groups:

  • Global data valid everywhere
  • Global data valid only for boring and drilling operations
  • Global data that determine the positioning behavior
  • Global data valid only for milling operations with pocket -cycles
  • Global data valid only for milling operations with contour -cycles
  • Global data valid only for probing functions

As already mentioned, global data are valid for the entire machining program. Of course you can change the global data for any machining step, if necessary:

  • Switch to the global data detail form for the machining step: In the form, smarT.NC shows the parameters valid for this machining step along with the currently active value. On the right side of the green input field is a G as an identifier that this value is valid globally

  • Select the global parameter that you want to change

  • Enter the new value and confirm with the ENTER key. smarT.NC changes the color of the input field to red

  • On the right side of the red input field there is now an L as an identifier that the value is valid locally

Changing a global parameter on the global data detail form only effects a local change of the parameter, valid for that one machining step. smarT.NC displays the input fields of locally changed parameters with a red background. On the right side of the input field is an L which identifies the value as valid locally.

Press the set standard values soft key to load and therefore activate the value of the global parameter from the program header. The input field of a global parameter whose value from the program header is in effect is displayed with a green background by smarT.NC. On the right side of the input field is a G which identifies the value as valid globally.


Global data valid everywhere

  • Set-up clearance: Distance between tool tip and workpiece surface for automated approach of the cycle start position in the tool axis

  • 2nd set-up clearance: Position to which smarT.NC positions the tool at the end of a machining step. The next machining position is approached at this height in the machining plane

  • F positioning: Feed rate at which smarT.NC traverses the tool within a cycle

  • F retraction: Feed rate at which smarT.NC retracts the tool


Global data for positioning behavior

  • Positioning behavior: Retraction in the tool axis at the end of the machining step: Return to the 2nd set-up clearance or to the position at the beginning of the unit


Global data for drilling operations

  • Retraction rate for chip breaking: Value by which smarT.NC retracts the tool during chip breaking

  • Dwell time at depth: Time in seconds that the tool remains at the hole bottom

  • Dwell time at top: Time in seconds that the tool remains at the set-up clearance


Global data for milling operations with pocket cycles

  • Overlap factor: The tool radius multiplied by the overlap factor equals the lateral stepover

  • Climb or up-cut: Select the type of milling

  • Plunging type: Plunge into the material helically, in a reciprocating motion, or vertically


Global data for milling operations with contour cycles

  • Set-up clearance: Distance between tool tip and workpiece surface for automated approach of the cycle start position in the tool axis

  • Clearance height: Absolute height at which the tool cannot collide with the workpiece (for intermediate positioning and retraction at the end of the cycle)

  • Overlap factor: The tool radius multiplied by the overlap factor equals the lateral stepover

  • Climb or up-cut: Select the type of milling


Global data for probing functions

  • Set-up clearance: Distance between stylus and workpiece surface for automated approach of the probing position

  • Clearance height: The coordinate in the touch probe axis to which smarT.NC traverses the touch probe between measuring points if the Move to clearance height option is activated

  • Move to clearance height: Select whether smarT.NC moves the touch probe to the set-up clearance or clearance height between the measuring points


Tool selection

As soon as an input field in the tool selection is active, you can use the tool name soft key to choose if you want to enter the tool number or tool name.

There is also a select soft key for calling a window from which you can select a tool defined in the tool table TOOL.T. smarT.NC then writes the tool number or tool name of the selected tool automatically in the corresponding input field.

You can also edit the displayed tool data:

  • Use the arrow keys to select the line and then the column of the value to be edited: The light-blue background marks the editable field

  • Set the EDIT soft key to ON, enter the desired value and confirm with the ENT key

  • If needed, select further columns and repeat the described procedure


RPM/cutting-speed switchover

As soon as an input field for defining the spindle speed is active, you can choose whether the speed will be displayed in rpm or as cutting speed (m/min or ipm).

To enter a cutting speed

  • Press the VC soft key: the TNC switches the input field

To switch from cutting speed to input in rpm

  • Press the NO ENT key: the TNC deletes the cutting-speed input

  • To enter rpm: use the arrow key to move back to the input field


F/FZ/FU/FMAX switchover

As soon as an input field for defining the feed rate is active, you can choose whether the feed rate will be displayed in mm/min (F), in rpm (FU) or in mm/tooth (FZ). The permissible feed rate types depend on the respective machining operation. For some input fields, an FMAX entry (rapid) is also allowed.

To enter a type of feed rate

  • Press soft key F, FZ, FU or FMAX


Selecting data from similar, previously defined units

After you have started a new unit, you can use the select unit data soft key to transfer all data from a previously defined, similar unit. smarT.NC then uses all values defined in this unit and enters them into the active unit.

Particularly in the milling units, this makes it very easy to define roughing/finishing operations by, for example, merely correcting the oversize and, if required, the tool in the new unit after transferring the data.

smarT.NC first searches the smarT program for a similar unit from the current block to the top of the program.

  • If smarT.NC cannot find any corresponding unit up to the beginning of the program, then it continues searching from the program end to the current block.
  • If no corresponding unit is found in the entire program, the control displays an error message.


Available machining steps (units)

After choosing the smarT.NC operating mode, you select the available machining steps with the insert soft key. The machining steps are divided into the following main groups:

Main group | Soft key | Page
Machining Boring, drilling, thread machining, milling |  | Machining main group
Probing Probe functions for 3-D touch probes |  | Probing main group
Convert Functions for coordinate transformation |  | Conversion main group
Special functions Program call, positioning unit, M-function unit, conversational unit, program end unit |  | Special Functions main group

The CONTR. PGM and positions soft keys on the third soft-key row start the contour programming and pattern generator, respectively.


Machining main group

In the Machining main group you select the following machining groups:

Machining group | Soft key | Page
Drilling Centering, drilling, reaming, boring, back boring |  | Drilling machining group
Thread Tapping with floating tap holder, rigid tapping, thread milling |  | Thread machining group
Pockets/Studs Bore milling, rectangular pockets, circular pockets, slots, circular slots |  | Pockets/Studs machining group
Contr. pgm Run contour programs: contour train, contour pocket roughing, fine roughing and finishing |  | Contour Program machining group
Surfaces Face milling |  | Surfaces machining group
SPECIAL UNITS: Engraving and interpolation turning |  | Special Units machining group


Drilling machining group

The following working units are available for drilling operations in the Drilling machining group:

Unit | Soft key | Page
Unit 240 Centering |  | Unit 240 Centering
Unit 205 Drilling |  | Unit 205 Drilling
Unit 201 Reaming |  | Unit 201 Reaming
Unit 202 Boring |  | Unit 202 Boring
Unit 204 Back Boring |  | Unit 204 Back Boring
Unit 241 Single-Lip Deep-Hole Drilling |  | Unit 241 Single-Lip Deep-Hole Drilling
Further Informations:
> Unit 240 Centering
> Unit 205 Drilling
> Unit 201 Reaming
> Unit 202 Boring
> Unit 204 Back Boring
> Unit 241 Single-Lip Deep-Hole Drilling


Unit 240 Centering

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Centering feed rate [mm/min] or FU [mm/rev]

  • Select Depth/Diameter: Select whether centering is based on the depth or diameter

  • Diameter: Centering diameter. Input of T-ANGLE from TOOL.T required

  • Depth: Centering depth

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • None

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Dwell time at depth

Feed rate for traversing between machining positions


Unit 205 Drilling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Drilling feed rate [mm/min] or FU [mm/rev]

  • Depth: Drilling depth

  • Plunging depth: Dimension by which the tool plunges in each infeed before retraction from the hole

  • Chip breaking depth: Depth at which smarT.NC carries out chip breaking

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Chip breaking depth: Depth at which smarT.NC carries out chip breaking

  • Decrement: Value by which smarT.NC decreases the plunging depth

  • Min. infeed: If a decrement has been entered: Limit for minimum infeed

  • Upper adv.stop dist.: Upper set-up clearance for repositioning after chip breaking

  • Lower adv.stop dist.: Lower set-up clearance for repositioning after chip breaking

  • Infeed start point: Lower starting point relative to the surface coordinates for pre-machined holes

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Retraction value for chip breaking

Dwell time at depth

Feed rate for traversing between machining positions


Unit 201 Reaming

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Reaming feed rate [mm/min] or FU [mm/rev]

  • Depth: Reaming depth

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • None.

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Retraction feed rate

Dwell time at depth

Feed rate for traversing between machining positions


Unit 202 Boring

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Drilling feed rate [mm/min] or FU [mm/rev]

  • Depth: Boring depth

  • Disengaging direction: Direction in which smarT.NC moves the tool away from the counterbore floor

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Angle of spindle: Angle to which smarT.NC positions the tool before retracting it

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Retraction feed rate

Dwell time at depth

Feed rate for traversing between machining positions


Unit 204 Back Boring

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Drilling feed rate [mm/min] or FU [mm/rev]

  • Countersinking depth: Depth of cavity

  • Material thickness: Thickness of the workpiece

  • Off-center distance: Off-center distance of the boring bar

  • Tool edge height: Distance between the underside of the boring bar and the main cutting tooth

  • Disengaging direction: Direction in which smarT.NC moves the tool by the off-center distance

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Angle of spindle: Angle at which smarT.NC positions the tool before it is plunged into or retracted from the bore hole

  • Dwell time: Dwell time at counterbore floor

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Feed rate for positioning

Feed rate for traversing between machining positions


Unit 241 Single-Lip Deep-Hole Drilling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] during drilling

  • F: Drilling feed rate [mm/min] or FU [mm/rev]

  • Depth: Drilling depth

  • Infeed start point: Starting point of metal removal. The TNC moves at the feed rate for pre-positioning from the set-up clearance to the deepened starting point

  • Entry/exit dir. of rot.: Direction of spindle rotation when tool moves into and retracts from the hole

  • Shaft speed of entry: Rotational speed at which the tool is to rotate when moving into and retracting from the hole

  • Coolant ON: M?: M function for switching on the coolant. The TNC switches the coolant on if the tool is in the hole at the deepened starting point

  • Coolant OFF: M?: M function for switching off the coolant. The TNC switches the coolant off if the tool is at the hole depth

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Dwell depth: Coordinate in the spindle axis at which the tool is to dwell. If 0 is entered, the function is not active

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Feed rate for positioning

Dwell time at depth

Retraction feed rate

Feed rate for traversing between machining positions


Thread machining group

The following units are available for thread operations in the Thread machining group:

Unit | Soft key | Page
Unit 206 Tapping with a Floating Tap Holder |  | Unit 206 Tapping with a Floating Tap Holder
Unit 209 Rigid Tapping (also with chip breaking) |  | Unit 209 Rigid Tapping
Unit 262 Thread Milling |  | Unit 262 Thread Milling
Unit 263 Thread Milling / Countersinking |  | Unit 263 Thread Milling / Countersinking
Unit 264 Thread Drilling / Milling |  | Unit 264 Thread Drilling / Milling
Unit 265 Helical Thread Drilling / Milling |  | Unit 265 Helical Thread Drilling / Milling
Unit 267 Outside Thread Milling |  | Unit 267 Thread Milling
Further Informations:
> Unit 206 Tapping with a Floating Tap Holder
> Unit 209 Rigid Tapping
> Unit 262 Thread Milling
> Unit 263 Thread Milling / Countersinking
> Unit 264 Thread Drilling / Milling
> Unit 265 Helical Thread Drilling / Milling
> Unit 267 Thread Milling


Unit 206 Tapping with a Floating Tap Holder

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Drilling feed rate: Calculate from S multiplied by thread pitch p

  • Depth of thread: Depth of the thread

  • Machining positions see Fundamentals

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • None.

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Dwell time at depth

Feed rate for traversing between machining positions


Unit 209 Rigid Tapping

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • Depth of thread: Depth of the thread

  • Thread pitch: Pitch of the thread

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Chip breaking depth: Depth at which chip breaking is to occur

  • Angle of spindle: Angle to which smarT.NC positions the tool before thread cutting: This permits regrooving of the thread, if needed

  • S factor for retraction Q403: Factor by which the TNC increases the spindle speed—and therefore also the retraction feed rate—when retracting from the hole

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Retraction value for chip breaking

Feed rate for traversing between machining positions


Unit 262 Thread Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling

  • Diameter: Nominal diameter of the thread

  • Thread pitch: Pitch of the thread

  • Depth: Depth of the thread

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Threads per step: Number of thread revolutions by which the tool is offset

  • Feed rate for approach: Feed rate for entry into the thread

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Unit 263 Thread Milling / Countersinking

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling

  • F: Countersinking feed rate [mm/min] or FU [mm/rev]

  • Diameter: Nominal diameter of the thread

  • Thread pitch: Pitch of the thread

  • Depth: Depth of the thread

  • Countersinking depth: Distance between the top surface of the workpiece and the tool tip during countersinking

  • Clearance to side: Distance between tool tooth and the wall

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Depth at front: Depth for sinking at front

  • Offset at front: Distance by which the TNC moves the tool center out of the hole during countersinking at front

  • Feed rate for approach: Feed rate for entry into the thread

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Unit 264 Thread Drilling / Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling

  • F: Drilling feed rate [mm/min] or FU [mm/rev]

  • Diameter: Nominal diameter of the thread

  • Thread pitch: Pitch of the thread

  • Depth: Depth of the thread

  • Total hole depth: Drilling depth

  • Plng. dpth. drilling

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Chip breaking depth: Depth at which the TNC is to carry out chip breaking during drilling

  • Upper adv. stop dist.: Set-up clearance for when the TNC returns the tool to the current plunging depth after chip breaking

  • Depth at front: Depth for sinking at front

  • Offset at front: Distance by which the TNC moves the tool center from the hole center

  • Feed rate for approach: Feed rate for entry into the thread

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Retraction value for chip breaking

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Unit 265 Helical Thread Drilling / Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling

  • F: Countersinking feed rate [mm/min] or FU [mm/rev]

  • Diameter: Nominal diameter of the thread

  • Thread pitch: Pitch of the thread

  • Depth: Depth of the thread

  • Countersink: Select whether countersinking occurs before or after thread milling

  • Depth at front: Depth for sinking at front

  • Offset at front: Distance by which the TNC moves the tool center from the hole center

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • None.

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Feed rate for traversing between machining positions


Unit 267 Thread Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling

  • F: Countersinking feed rate [mm/min] or FU [mm/rev]

  • Diameter: Nominal diameter of the thread

  • Thread pitch: Pitch of the thread

  • Depth: Depth of the thread

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Threads per step: Number of thread revolutions by which the tool is offset

  • Depth at front: Depth for sinking at front

  • Offset at front: Distance by which the TNC moves the tool center from the stud center

  • Feed rate for approach: Feed rate for entry into the thread

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Pockets/Studs machining group

The following units are available for the milling of simple pockets, studs and slots in the Pockets/Studs machining group:

Unit | Soft key | Page
Unit 251 Rectangular Pocket |  | Unit 251 Rectangular Pocket
Unit 252 Circular Pocket |  | Unit 252 Circular Pocket
Unit 253 Slot |  | Unit 253 Slot
Unit 254 Circular Slot |  | Unit 254 Circular Slot
Unit 256 Rectangular Stud |  | Unit 256 Rectangular Stud
Unit 257 Circular Stud |  | Unit 257 Circular Stud
Unit 208 Bore Milling |  | Unit 208 Bore Milling
Further Informations:
> Unit 251 Rectangular Pocket
> Unit 252 Circular Pocket
> Unit 253 Slot
> Unit 254 Circular Slot
> Unit 256 Rectangular Stud
> Unit 257 Circular Stud
> Unit 208 Bore Milling


Unit 251 Rectangular Pocket

Parameters on the overview form:

  • Machining operation: Select via soft key roughing and finishing, or only roughing, or only finishing

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Pocket length: Pocket length in the reference axis

  • Pocket width: Pocket width in the minor axis

  • Corner radius: If not entered, smarT.NC sets the corner radius equal to the tool radius

  • Depth: Final depth of the pocket

  • Plunging depth: Infeed per cut

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the pocket parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Infeed for finishing: Infeed for finishing on the side. If nothing is entered, finishing is performed in one infeed

  • F rate for finishing: Feed rate for finishing [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • Angle of rotation: Angle by which the entire pocket is rotated

  • Pocket position: Position of the pocket referenced to the programmed position

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling

Plunge in a helical motion, or

Plunge in a reciprocating motion, or

Plunge vertically


Unit 252 Circular Pocket

Parameters on the overview form:

  • Machining operation: Select via soft key roughing and finishing, or only roughing, or only finishing

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Diameter: Finished diameter of the circular pocket

  • Depth: Final depth of the pocket

  • Plunging depth: Infeed per cut

  • Machining positions see Fundamentals

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the pocket parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Infeed for finishing: Infeed for finishing on the side. If nothing is entered, finishing is performed in one infeed

  • F rate for finishing: Feed rate for finishing [mm/min], FU [mm/rev] or FZ [mm/tooth]

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling

Plunge in a helical motion, or

Plunge vertically


Unit 253 Slot

Parameters on the overview form:

  • Machining operation: Select via soft key roughing and finishing, or only roughing, or only finishing

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Slot length: Slot length in the reference axis

  • Slot width: Slot width in the minor axis

  • Depth: Final depth of the slot

  • Plunging depth: Infeed per cut

  • Machining positions see Fundamentals

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the pocket parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Infeed for finishing: Infeed for finishing on the side. If nothing is entered, finishing is performed in one infeed

  • F rate for finishing: Feed rate for finishing [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • Angle of rotation: Angle by which the entire pocket is rotated

  • Slot position: Position of the slot referenced to the programmed position

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling

Plunge in a helical motion, or

Plunge in a reciprocating motion, or

Plunge vertically


Unit 254 Circular Slot

Parameters on the overview form:

  • Machining operation: Select via soft key roughing and finishing, or only roughing, or only finishing

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Center in 1st axis: Center of pitch circle in reference axis

  • Center in 2nd axis: Center of pitch circle in minor axis

  • Pitch circle diameter

  • Starting angle: Polar angle of the starting point

  • Angular length

  • Slot width

  • Depth: Final depth of the slot

  • Plunging depth: Infeed per cut

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the pocket parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Infeed for finishing: Infeed for finishing on the side. If nothing is entered, finishing is performed in one infeed

  • F rate for finishing: Feed rate for finishing [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • Stepping angle: Angle by which the entire slot is rotated further

  • Number of repetitions: Number of machining operations on a pitch circle

  • Slot position: Position of the slot referenced to the programmed position

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling

Plunge in a helical motion, or

Plunge in a reciprocating motion, or

Plunge vertically


Unit 256 Rectangular Stud

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Stud length: Stud length in the reference axis

  • Workpiece blank length: Blank length in the reference axis

  • Stud width: Stud width in the minor axis

  • Workpiece blank width: Blank width in the reference axis

  • Corner radius: Radius of the stud corner

  • Depth: Final depth of the stud

  • Plunging depth: Infeed per cut

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the stud parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Angle of rotation: Angle by which the entire stud is rotated

  • Stud position: Position of the stud referenced to the programmed position

  • Approach position: Definition of the approach position on the stud

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Unit 257 Circular Stud

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Finished diameter: Finished diameter of the circular stud

  • Workpiece blank diameter: Workpiece blank diameter of the circular stud

  • Depth: Final depth of the stud

  • Plunging depth: Infeed per cut

  • Machining positions see Fundamentals

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the stud parameters detail form:

  • Allowance for side: Finishing allowance for the side

  • Starting angle: Polar angle relative to the stud center at which the tool is to approach the stud

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Unit 208 Bore Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Diameter: Nominal diameter of the hole

  • Depth: Milling depth

  • Plunging depth: Depth of the tool plunge with each helix (360°)

  • Machining positions (see "Defining Machining Positions" on page 164)

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the drilling parameters detail form:

  • Predrilled diameter: Enter if pre-drilled holes are to be machined again. This allows you to rough-mill holes more than twice as large as the tool diameter

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Feed rate for traversing between machining positions

Climb milling, or

Up-cut milling


Contour Program machining group

The following units for milling pockets and contour trains of any shape are available in the Contour Program machining group:

Unit | Soft key | Page
Unit 122 Contour Pocket Rough-Out |  | Unit 122 Contour Pocket
Unit 22 Contour Pocket Fine Roughing |  | Unit 22 Fine Roughing
Unit 123 Contour Pocket Floor Finishing |  | Unit 123 Contour Pocket Floor Finishing
Unit 124 Contour Pocket Side Finishing |  | Unit 124 Contour Pocket Side Finishing
Unit 125 Contour Train |  | Unit 125 Contour Train
Unit 275 Trochoidal Contour Train |  | Unit 275 Contour Slot
Unit 276 3-D Contour Train |  | Unit 276 3-D Contour Train
Unit 130 Contour Pocket on Point Pattern |  | Unit 130 Contour Pocket on Point Pattern (FCL 3 Function)
Further Informations:
> Unit 122 Contour Pocket
> Unit 22 Fine Roughing
> Unit 123 Contour Pocket Floor Finishing
> Unit 124 Contour Pocket Side Finishing
> Unit 125 Contour Train
> Unit 275 Contour Slot
> Unit 276 3-D Contour Train
> Unit 130 Contour Pocket on Point Pattern (FCL 3 Function)


Unit 122 Contour Pocket

The Contour Pocket unit is used to rough out pockets, which may contain islands, of any shape.

If necessary, you can assign every subcontour its own depth (FCL 2 function) in the contour detail form. In this case you must always begin with the deepest pocket.

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for reciprocating plunge [mm/min], FU [mm/rev] or FZ [mm/tooth]. Enter 0 for perpendicular plunge.

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Top surface coordinate: Workpiece top-surface coordinate; the entered depths are relative to it

  • Depth: Milling depth

  • Plunging depth: Infeed per cut

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Contour name: List of the subcontours (.HC files) to be linked. If the DXF converter option is available, you can use it to make a contour directly from the form.

  • Specify via soft key for each subcontour whether it is a pocket or an island.
  • Always start the list of subcontours with the deepest pocket!
  • On the contour detail form you can define up to a maximum of nine subcontours.

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M Function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Rounding radius: Rounding radius of the tool -midpoint path at inside corners

  • Feed rate factor in %: Percentage factor by which the TNC reduces the machining feed rate as soon as the tool moves within the material over its entire circumference during roughing. If you use the feed rate reduction, then you can define the feed rate for roughing so large that there are optimum cutting conditions with the specified path overlap (global data). The TNC then reduces the feed rate as per your definition at transitions and narrow places, so the machining time should be reduced in total.

Additional parameters on the contour detail form:

  • Depth: Separately definable depths for each subcontour (FCL 2 function)

  • Always start the list of subcontours with the deepest pocket!
  • If the contour is defined as an island, the TNC interprets the entered depth as the island height. The entered value (without an algebraic sign) then refers to the workpiece top surface!
  • If the depth is entered as 0, then for pockets the depth defined in the overview form is effective. Islands then rise up to the workpiece top surface!

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Retraction feed rate

Climb milling, or

Up-cut milling


Unit 22 Fine Roughing

With the Fine Roughing unit you can use a smaller tool to rework a contour pocket that has been roughed-out with unit 122. In this step, smarT.NC machines only the places the previous tool did not reach.

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Coarse roughing tool: Number or name of the tool (switchable via soft key) with which you have coarse-roughed the contour

  • Plunging depth: Infeed per cut

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Fine roughing strategy. This parameter is only effective if the radius of the fine roughing tool is larger than half the radius of the coarse roughing tool:

Between areas that need to be fine-roughed, move the tool along the contour at the current depth

Between areas that need to be fine-roughed, retract the tool to safety clearance and move to the starting point of the next area to be roughed out

Globally effective parameters on the global data detail form:

Retraction feed rate


Unit 123 Contour Pocket Floor Finishing

With the Floor Finishing unit you can finish the floor of a contour pocket that has been roughed-out with unit 122.

Always run the floor finishing operation before side finishing!

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Globally effective parameters on the global data detail form:

Retraction feed rate


Unit 124 Contour Pocket Side Finishing

The Side Finishing unit is used to finish the side of a contour pocket that has been roughed-out with unit 122.

Always run the side finishing operation after floor finishing!

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Plunging depth: Infeed per cut

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Finishing allowance for side: Finishing allowance for finishing in two or more steps

Globally effective parameters on the global data detail form:

Climb milling, or

Up-cut milling


Unit 125 Contour Train

The Contour Train unit is used to machine open and closed contours that you defined in an .HC program or generated with the DXF converter.

Choose start and end points of the contour that leave enough space for tool approach and departure!

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Top surface coordinate: Workpiece top-surface coordinate; the entered depths are relative to it

  • Depth: Milling depth

  • Plunging depth: Infeed per cut

  • Allowance for side: Finishing allowance

  • Type of milling: Climb milling, up-cut milling or reciprocating machining

  • Radius compensation: Machine the contour with compensation to the left, to the right, or without compensation

  • Type of approach: Approach the contour tangentially on a circular path, or tangentially on a straight line, or vertically

  • Approach radius (Only in effect if tangential approach on a circular path was selected): Radius of the circular arc

  • Center angle (Only in effect if tangential approach on a circular path was selected): Angle of the circular arc

  • Distance to aux. point (Only in effect if tangential approach on a straight path or vertical approach was selected): Distance to the auxiliary point from which the contour is approached

  • Contour name: Name of the contour file (.HC) to be machined. If the DXF converter option is available, you can use it to make a contour directly from the form.

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • None.

Globally effective parameters on the global data detail form:

2nd set-up clearance


Unit 275 Contour Slot

The Contour Slot unit is used to machine open and closed contour slots that you defined in an .HC program or generated with the DXF converter.

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Type of milling: Climb milling, up-cut milling or reciprocating machining

  • Slot width: Enter the slot width; If you enter a slot width that equals the tool diameter, the TNC will only machine the contour outline.

  • Infeed per rev.: Value by which the TNC moves the tool in the machining direction per revolution

  • Top surface coordinate: Workpiece top-surface coordinate; the entered depths are relative to it

  • Depth: Milling depth

  • Plunging depth: Infeed per cut

  • Allowance for side: Finishing allowance

  • Contour name: Name of the contour file (.HC) to be machined. If the DXF converter option is available, you can use it to make a contour directly from the form.

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Infeed for finishing: Infeed for finishing on the side. If nothing is entered, finishing is performed in one infeed

  • F rate for finishing: Feed rate for finishing [mm/min], FU [mm/rev] or FZ [mm/tooth]

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Climb milling, or

Up-cut milling

Plunge in a helical motion, or

Plunge in a reciprocating motion, or

Plunge vertically


Unit 276 3-D Contour Train

The Contour Train unit is used to machine open and closed contours that you defined in an .HC program or generated with the DXF converter.

Choose start and end points of the contour that leave enough space for tool approach and departure!

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Depth: Milling depth; if 0 is programmed, the TNC positions to the Z‑coordinate of the contour subprogram

  • Plunging depth: Infeed per cut

  • Allowance for side: Finishing allowance

  • Type of milling: Climb milling, up-cut milling or reciprocating machining

  • Radius compensation: Machine the contour with compensation to the left, to the right, or without compensation

  • Type of approach: Approach the contour tangentially on a circular path, or tangentially on a straight line, or vertically

  • Approach radius (Only in effect if tangential approach on a circular path was selected): Radius of the circular arc

  • Center angle (Only in effect if tangential approach on a circular path was selected): Angle of the circular arc

  • Distance to aux. point (Only in effect if tangential approach on a straight path or vertical approach was selected): Distance to the auxiliary point from which the contour is approached

  • Contour name: Name of the contour file (.HC) to be machined. If the DXF converter option is available, you can use it to make a contour directly from the form.

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • None.

Globally effective parameters on the global data detail form:

Clearance height


Unit 130 Contour Pocket on Point Pattern (FCL 3 Function)

This unit is used to align on any pattern and rough out pockets, which may contain islands, of any shape.

If necessary, you can assign every subcontour its own depth (FCL 2 function) in the contour detail form. In this case you must always begin with the deepest pocket.

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for reciprocating plunge [mm/min], FU [mm/rev] or FZ [mm/tooth]. Enter 0 for perpendicular plunge.

  • F: Feed rate for plunging [mm/min], FU [mm/rev] or FZ [mm/tooth]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Depth: Milling depth

  • Plunging depth: Infeed per cut

  • Allowance for side: Finishing allowance for the side

  • Allowance in depth: Finishing allowance for the depth

  • Contour name: List of the subcontours (.HC files) to be linked. If the DXF converter option is available, you can use it to make a contour directly from the form.

  • Positions or point pattern: Define the positions at which the TNC is to machine the contour pocket see Fundamentals
  • Specify via soft key for each subcontour whether it is a pocket or an island.
  • As a rule, always start the list of subcontours with a pocket (if required, the deepest pocket)!
  • On the contour detail form you can define up to a maximum of nine subcontours.

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M Function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Rounding radius: Rounding radius of the tool -midpoint path at inside corners

  • Feed rate factor in %: Percentage factor by which the TNC reduces the machining feed rate as soon as the tool moves within the material over its entire circumference during roughing. If you use the feed rate reduction, then you can define the feed rate for roughing so large that there are optimum cutting conditions with the specified path overlap (global data). The TNC then reduces the feed rate as per your definition at transitions and narrow places, so the machining time should be reduced in total.

Additional parameters on the contour detail form:

  • Depth: Separately definable depths for each subcontour (FCL 2 function)

  • Always start the list of subcontours with the deepest pocket!
  • If the contour is defined as an island, the TNC interprets the entered depth as the island height. The entered value (without an algebraic sign) then refers to the workpiece top surface!
  • If the depth is entered as 0, then for pockets the depth defined in the overview form is effective. Islands then rise up to the workpiece top surface!

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Overlap factor

Retraction feed rate

Climb milling, or

Up-cut milling


Surfaces machining group

The following unit is available for surfacing operations in the surfaces machining group:

Unit | Soft key | Page
Unit 232 Face Milling |  | Unit 232 Face Milling
Further Informations:
> Unit 232 Face Milling


Unit 232 Face Milling

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling [mm/min] or FU [mm/rev] or FZ [mm/tooth]

  • Milling plan: Selection of the milling plan

  • Starting point in 1st axis: Starting point in the reference axis

  • Starting point in 2nd axis: Starting point in the minor axis

  • Starting point in 3rd axis: Starting point in the tool axis

  • End point in 3rd axis: End point in the tool axis

  • Allowance in depth: Finishing allowance for the depth

  • 1st side length: Length of the surface to be milled in the reference axis, referenced to the starting point

  • 2nd side length: Length of the surface to be milled in the minor axis, referenced to the starting point

  • Maximum infeed: Maximum infeed per cut

  • Clearance to side: Lateral distance by which the tool moves beyond the surface

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • M Function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • F rate for finishing: Feed rate for the last finishing cut

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance

Positioning feed rate

Overlap factor


Special Units machining group

The following units are available in the Special Units machining group:

Unit | Soft key | Page
Unit 225 Engraving |  | Unit 225 Engraving
Unit 290 Interpolation Turning (option) |  | Unit 290 Interpolation Turning (option)
Further Informations:
> Unit 225 Engraving
> Unit 290 Interpolation Turning (option)


Unit 225 Engraving

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • F: Feed rate for milling [mm/min]

  • F: Feed rate for plunging [mm/min]

  • Text: Define the text to be engraved

  • Character height: Height of the characters to be engraved in mm (inches).

  • Space factor F: Factor that defines the separation between characters

  • Coord. top surface: Workpiece top-surface coordinate; the entered depth is relative to it

  • Depth: Engraving depth

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M Function: Any miscellaneous function M

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M3

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Text layout: Specify whether the text should be in a straight line or along an arc

  • Angle of rotation: Center angle if the TNC is to arrange the text on an arc

  • Circle radius: Radius of the arc in mm on which the TNC is to arrange the text

Globally effective parameters on the global data detail form:

Set-up clearance

2nd set-up clearance


Unit 290 Interpolation Turning (option)

Parameters on the overview form:

  • T: Tool number or name (switchable via soft key)

  • Cutting speed: Cutting speed [m/min]

  • Starting diameter X: Corner of starting point in X, enter the diameter

  • Contour start in Z:Corner of the starting point in Z

  • Final diameter: Corner of end point in X, enter the diameter

  • Contour end in Z:Corner of the end point in Z

  • Machining direction: Perform machining counterclockwise or clockwise

  • Interpolation axis: Define the axis designation of the interpolating axis

Additional parameters on the tool detail form:

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • M Function: Any miscellaneous function M

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)

Additional parameters on the milling parameters detail form:

  • Starting angle: Starting angle in the XY plane

  • Circ. surface angle: Angle of the first surface to be machined

  • Angle of the face: Angle of the second surface to be machined

  • Contour edge radius: Corner rounding in mm between the surfaces to be machined

  • Clearance height: Absolute height at which collision between tool and workpiece is impossible

  • Spindle: Direction of spindle rotation. As a default, smarT.NC sets M5. Only if the MILL mode is selected can you define the spindle speed and direction

Globally effective parameters on the global data detail form:

Set-up clearance


Probing main group

In the Probing main group you select the following function groups:

Function group | Soft key
rotation Touch probe functions for automatic determination of a basic rotation |
preset Touch probe functions for automatic determination of a reference point |
measuring Touch probe functions for automatic workpiece measurement |
special funct.: Special function for setting touch-probe data |
kinematics: Touch probe functions for testing and optimizing of machine kinematics |
Tool Touch probe functions for automatic tool measurement |

For a detailed description of the probing cycles, see the User's Manual for Touch Probe Cycles.


Rotation function group

The following units for automatic determination of a basic rotation are available in the Rotation function group:

Unit | Soft key
Unit 400 Rotation around a Straight Line |
Unit 401 Rotation around two Holes |
Unit 402 Rotation around two Studs |
Unit 403 Rotation around a Rotary Axis |
Unit 405 Rotation around the C Axis |


Preset (Datum) function group

The following units for automatic datum setting are available in the Preset function group:

Unit | Soft key
Unit 408 Slot Center Reference Point (FCL 3 Function) |
Unit 409 Ridge Center Reference Point (FCL 3 Function) |
Unit 410 Datum Inside Rectangle |
Unit 411 Datum Outside Rectangle |
Unit 412 Datum Inside Circle |
Unit 413 Datum Outside Circle |
Unit 414 Datum Outside Corner |
Unit 415 Datum Inside Corner |
Unit 416 Datum in Circle Center |
Unit 417 Datum in Touch Probe Axis |
Unit 418 Datum from 4 Holes |
Unit 419 Datum in One Axis |


Measuring function group

The following units for automatic workpiece measurement are available in the Measuring function group:

Unit | Soft key
Unit 420 Measure Angle |
Unit 421 Measure Hole |
Unit 422 Measure Cylindrical Stud |
Unit 423 Measure Rectangle Inside |
Unit 424 Measure Rectangle Outside |
Unit 425 Measure Width Inside |
Unit 426 Measure Width Outside |
Unit 427 Measure Coordinate |
Unit 430 Measure Bolt Hole Circle |
Unit 431 Measure Plane |


Special Functions function group

The following units are available in the Special Functions function group:

Unit | Soft key
Unit 441 Touch Probe Parameters |
Unit 460 Calibrate 3-D Touch Probe |


Kinematics Measurement function group (option)

The following units are available in the Kinematics function group:

Unit | Soft key
Unit 450 Save/Restore Kinematics |
Unit 451 Test/Optimize Kinematics |
Unit 452 Preset Compensation |
Unit 460 Calibrate 3-D Touch Probe |


Tool function group

The following units for automatic tool measurement are available in the Tool function group:

Unit | Soft key
Unit 480 TT: Calibrate TT |
Unit 481 TT: Measure Tool Length |
Unit 482 TT: Measure Tool Radius |
Unit 483 TT: Measure Entire Tool |


Conversion main group

The following functions for coordinate transformation are available in the Conversion main group:

Function | Soft key | Page
Unit 141 (FCL 2 function): Datum shift |  | Unit 141 Datum Shift
Unit 8 (FCL 2 function): Mirroring |  | Unit 8 Mirroring (FCL 2 function)
Unit 10 (FCL 2 function): Rotation |  | Unit 10 Rotation (FCL 2 function)
Unit 11 (FCL 2 function): Scaling |  | Unit 11 Scaling (FCL 2 function)
Unit 140 (FCL 2 function): Tilting the working plane with the PLANE function |  | Unit 140 Tilt Plane (FCL 2 function)
Unit 247: Preset number |  | Unit 247 New Datum
Unit 7 (FCL 2 function, 2nd soft key row): Datum shift using the datum table |  | Unit 7 Datum Shift (FCL 2 function)
Unit 404 (2nd soft-key row): Set basic rotation |  | Unit 404 Set Basic Rotation
Further Informations:
> Unit 141 Datum Shift
> Unit 8 Mirroring (FCL 2 function)
> Unit 10 Rotation (FCL 2 function)
> Unit 11 Scaling (FCL 2 function)
> Unit 140 Tilt Plane (FCL 2 function)
> Unit 247 New Datum
> Unit 7 Datum Shift (FCL 2 function)
> Unit 404 Set Basic Rotation


Unit 141 Datum Shift

Unit 141 Datum Shift is used to define a datum shift with the direct input of shift values in the specific axes, or by definition of a number from the datum table. You need to have specified the datum table in the program header.

Select the desired definition type via soft key

Define datum shift by entering a value.

Define datum shift via the datum table. Enter the datum number or choose it via the select number soft key. Select datum table if necessary.

Reset the datum shift

If you have selected a datum table, the TNC only uses the programmed line number until the next time a datum number is called (unit-wise effective datum shift).

Completely reset datum shift: Press the reset datum shift soft key. If you only want to reset the datum shift in specific axes, program the value 0 in the form for the respective axis.


Unit 8 Mirroring (FCL 2 function)

With unit 8 you use check boxes to define the desired mirrored axes.

If you define only one mirrored axis, the TNC changes the machining direction.

Reset mirroring: Define unit 8 without mirrored axes.


Unit 10 Rotation (FCL 2 function)

Unit 10 Rotation is used to define an angle of rotation by which smarT.NC rotates the subsequently defined operations in the active working plane.

Before Cycle 10, at least one tool call must be programmed including definition of the tool axis so that smarT.NC can find the plane of rotation.

Reset rotation: Define unit 10 with rotation 0.


Unit 11 Scaling (FCL 2 function)

Unit 11 is used to define a scaling factor with which you can run the subsequently defined operations with enlarged or reduced dimensions.

Use machine parameter MP7411 to specify whether the scaling factor is to be effective only in the active working plane or also in the tool axis.

Reset scaling factor: Define unit 11 with scaling factor 1.


Unit 140 Tilt Plane (FCL 2 function)

The machine manufacturer must enable the functions for tilting the working plane!

You can only use the PLANE function on machines that have at least two tilting axes (head and/or table). Exception: The PLANE AXIAL function (FCL 3 function) can also be used if only a single rotary axis is present or active on your machine

Unit 140 is used to define tilted working planes in various ways. You can set the plane definition and positioning behavior separately.

The following plane definitions are available:

Type of plane definition | Soft key
Plane defined by spatial angle |
Plane defined by projection angle |
Plane defined by Euler angle |
Plane defined by vector |
Plane defined by three points |
Define an incremental spatial angle |
Define axis angles (FCL 3 function) |
Reset the tilted plane function |

You can use soft keys to switch the positioning behavior, the selection of the tilt direction and the type of transformation.

The type of transformation is effective only in transformations with a C axis (rotary table).


Unit 247 New Datum

Unit 247 is used to define a reference point from the active preset table.


Unit 7 Datum Shift (FCL 2 function)

Before you use unit 7 you must select in the program head the datum table in which smarT.NC will apply the datum numbers see Program settings.

Reset datum shift: Define unit 7 with number 0. Ensure that in line 0 all coordinates are defined as 0.

If you want to define a datum shift by entering coordinates, use the conversational unit see Unit 40 Conversational Programming.

Unit 7 Datum Shift is used to define a datum number from the datum table that you have specified in the program header. Select the datum number via soft key.


Unit 404 Set Basic Rotation

Unit 404 is used to set any basic rotation. Use this unit primarily to reset basic rotations that you have specified through probing functions.


Special Functions main group

The following varied functions are available in the Special Functions main group:

Function | Soft key | Page
Unit 151: Program call |  | Unit 151 Program Call
Unit 799: Program end unit |  | Unit 799 Program End
Unit 70: Enter positioning block |  | Unit 70 Positioning
Unit 60: Enter miscellaneous functions M |  | Unit 60 M Function
Unit 50: Separate tool call |  | Unit 50 Separate Tool Call
Unit 40: Conversational unit |  | Unit 40 Conversational Programming
Unit 700 (2nd soft-key row): Program settings |  | Program settings
Further Informations:
> Unit 151 Program Call
> Unit 799 Program End
> Unit 70 Positioning
> Unit 60 M Function
> Unit 50 Separate Tool Call
> Unit 40 Conversational Programming


Unit 151 Program Call

From smarT.NC you use this unit to call any program of the following file type:

  • smarT.NC unit program (file type .HU)
  • Conversational dialog program (file type .H)
  • ISO program (file type .I)

Parameters in the overview form:

  • Program Name: Enter the path and name of the program to be called.

  • If you want to call the desired program via soft key (pop-up window, see figure at bottom right), then the program must be saved in the TNC:\smarTNC directory.
  • If the desired program is not stored in the TNC:\smarTNC directory, you must enter the complete path.


Unit 799 Program End

This unit is used to designate the end of a unit program. You can define miscellaneous functions M and alternatively a position that the TNC should approach.

Parameters:

  • M function: If desired, enter any miscellaneous functions M. The TNC automatically enters M2 (program end) with defining process

  • Approach end position: If desired, enter a position to be approached at program end. Positioning sequence: First the tool axis (Z), then the machining plane (X/Y)

  • Workpiece reference system: Coordinates entered are referenced to the active workpiece datum

  • M91: Coordinates entered are referenced to the machine datum (M91)

  • M92: Coordinates entered are referenced to a machine-set position (M92) defined by the machine manufacturer


Unit 70 Positioning

This unit is used to define a positioning movement that the TNC should run between any units.

Parameters:

  • Approach end position: If desired, enter a position to be approached by the TNC. Positioning sequence: First the tool axis (Z), then the machining plane (X/Y)

  • Workpiece reference system: Coordinates entered are referenced to the active workpiece datum

  • M91: Coordinates entered are referenced to the machine datum (M91)

  • M92: Coordinates entered are referenced to a machine-set position (M92) defined by the machine manufacturer


Unit 60 M Function

This unit is used to define any two miscellaneous functions M.

Parameters:

  • M function: Input of any miscellaneous functions M


Unit 50 Separate Tool Call

This unit is used to define a separate tool call.

Parameters in the overview form:

  • T: Tool number or name (switchable via soft key)

  • S: Spindle speed [rpm] or cutting speed [m/min or ipm]

  • DL: Delta length for tool T

  • DR: Delta radius for tool T

  • DR2: Delta radius 2 (corner radius) for tool T

  • Define M function: If desired, enter any miscellaneous functions M

  • Define pre-positioning: If desired, enter a position to be approached after the tool change. Positioning sequence: First the machining plane (X/Y), then tool axis (Z).

  • Tool preselect: If needed, this is the number of the next tool for faster tool change (machine-dependent)


Unit 40 Conversational Programming

Use this unit to insert conversational dialog sequences between machining blocks. It can always be used in the following cases:

  • You require TNC functions for which form entry is not yet available
  • You want to define OEM cycles

There is no limit to the number of conversational programming blocks that can be entered per conversational dialog sequence.

    The following conversational functions, for which no form input is possible, can be inserted:

  • Path functions L, CHF, CC, C, CR, CT, RND via the gray -path function keys
  • STOP block via the STOP key
  • Separate M-function block via ASCII key M
  • Tool call with the TOOL CALL key
  • Cycle definitions
  • Touch-probe cycle definitions
  • Program section repeats/subprogram technique
  • Q parameter programming


Defining Machining Positions

Further Informations:
> Defining Machining Positions


Defining Machining Positions

Defining Machining Positions

Further Informations:
> Fundamentals
> Using machining positions repeatedly
> Defining machining patterns on the Positions detail form
> Starting the pattern generator
> Exiting the pattern generator
> Working with the pattern generator


Fundamentals

On the overview form (1) you can directly define the machining positions of the current machining step in Cartesian coordinates (see figure at top right). If machining is to be performed at more than three positions or with machining patterns, you can define up to six more positions—for a total of nine—on the Positions detail form (2).

Incremental input is allowed beginning with the 2nd machining position. You can use the I key or soft key to switch over. The first machining position must be entered as an absolute value.

The fastest, easiest and most accurate way of defining machining positions is with the pattern generator. The pattern generator immediately displays the entered machining positions graphically after the required parameters have been entered and saved.

smarT.NC automatically saves in a point table (.HP file) the machining positions you defined using the pattern generator. This point table can be used as often as you like. A very convenient feature is the possibility of hiding or disabling any machining positions by graphically selecting them.

Point tables that you may have used on older controls (.PNT files) can also be loaded via the interfaces and used with smarT.NC.

If you require regular machining patterns, make use of the definition possibilities on the Positions detail form. If you require extensive and irregular machining patterns, use the pattern generator.


Using machining positions repeatedly

You can use machining positions for all programmed machining units that directly follow, regardless of whether you have created these machining positions directly on the form or as an HP file in the pattern generator. Just leave the input fields for the machining positions empty. smarT.NC then automatically uses the machining positions previously defined by you.

Machining positions stay effective until you define new machining positions in any subsequent unit.


Defining machining patterns on the Positions detail form

  • Select any machining unit

Select Positions detail form

Select the desired machining pattern via soft key

After you have defined a machining pattern, the smarT.NC displays a note with accompanying graphic on the Overview form instead of the input values due to reasons of space.

Values can be changed on the Positions detail form.

Further Informations:
> Single row, straight or rotated
> Pattern, straight, rotated or distorted
> Frame straight, rotated or distorted
> Full circle
> Pitch circle


Single row, straight or rotated

Starting point 1st axis: Coordinate of the starting point of the row in the reference axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the row in the minor axis of the working plane

Distance: Distance between the machining positions. You can enter a positive or negative value.

Number of repetitions: Total number of machining operations

Rotation: Angle of rotation around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Top surface coordinate: Coordinate of the top surface of the workpiece


Pattern, straight, rotated or distorted

Starting point 1st axis: Coordinate of the starting point of the pattern (1) in the major axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the pattern (2) in the minor axis of the working plane

Distance in 1st axis: Distance of the machining positions in the major axis of the working plane. You can enter a positive or negative value.

Distance in 2nd axis: Distance of the machining positions in the minor axis of the working plane. You can enter a positive or negative value.

Number of columns: Total number of columns in the pattern

Number of lines: Total number of rows in the pattern

Rotation: Angle of rotation by which the entire pattern is rotated around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Rotary pos. ref. ax.: Angle of rotation around which only the principal axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Rotary pos. minor ax.: Angle of rotation around which only the minor axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Top surface coordinate: Coordinate of the top surface of the workpiece

The Rotary pos. ref. ax. and Rotary pos. minor ax. parameters are added to a previously performed rotation of the entire pattern.


Frame straight, rotated or distorted

Starting point 1st axis: Coordinate of the starting point of the frame (1) in the major axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the frame (2) in the minor axis of the working plane

Distance in 1st axis: Distance of the machining positions in the major axis of the working plane. You can enter a positive or negative value.

Distance in 2nd axis: Distance of the machining positions in the minor axis of the working plane. You can enter a positive or negative value.

Number of lines: Total number of rows in the frame

Number of columns: Total number of columns in the frame

Rotation: Angle of rotation by which the entire frame is rotated around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Rotary pos. ref. ax.: Angle of rotation around which only the principal axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Rotary pos. minor ax.: Angle of rotation around which only the minor axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Top surface coordinate: Coordinate of the top surface of the workpiece

The Rotary pos. ref. ax. and Rotary pos. minor ax. parameters are added to a previously performed rotation of the entire frame.


Full circle

Center in 1st axis: Coordinate of the circle center point (1) in the major axis of the working plane

Center in 2nd axis: Coordinate of the circle center point (2) in the minor axis of the working plane

Diameter: Diameter of the bolt hole circle

Starting angle: Polar angle of the first machining position. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Number of repetitions: Total number of machining positions on the circle

Top surface coordinate: Coordinate of the top surface of the workpiece

smarT.NC always calculates the angle increment between two machining positions by dividing 360° by the number of machining operations.


Pitch circle

Center in 1st axis: Coordinate of the circle center point (1) in the major axis of the working plane

Center in 2nd axis: Coordinate of the circle center point (2) in the minor axis of the working plane

Diameter: Diameter of the bolt hole circle

Starting angle: Polar angle of the first machining position. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Stepping angle/end angle: Incremental polar angle between two machining positions. The absolute stopping angle can alternatively be entered (switch via soft key). You can enter positive or negative values.

Number of repetitions: Total number of machining positions on the circle

Top surface coordinate: Coordinate of the top surface of the workpiece


Starting the pattern generator

The pattern generator for smarT.NC can be started two different ways:

  • Directly from the third soft-key row of the smarT.NC main menu, if you want to directly define several point files in a row.
  • From the form during the machining definition, if you want to enter machining positions.
Further Informations:
> Starting the pattern generator from the main row of the editing menu
> Starting the pattern generator from a form


Starting the pattern generator from the main row of the editing menu

Select the smarT.NC operating mode

Select the third soft-key row

Start the pattern generator: smarT.NC switches to the file manager (see figure at right) and shows any existing point files

Select an existing point file (*.HP) and open it with the ENT key, or

Open a new point file: Enter the file name (without file type), and confirm with the mm or inch key. smarT.NC opens a point file with the units of measurement you selected, and then starts the pattern generator


Starting the pattern generator from a form

Select the smarT.NC operating mode

Select any machining step in which machining positions can be defined

Select an input field in which a machining position is to be defined (see figure at top right)

Switch to Define machining positions in point table

To create a new file: Enter the file name (without file type), and confirm with the new .hp soft key

Specify the units of measurement for the new point file with the mm or inch button in the pop-up window. smarT.NC then starts the pattern generator

To select an existing HP file: Press the select .Hp soft key. smarT.NC opens a pop-up window with available point files. Select one of the displayed files, and open it with the ENT key or OK screen button.

To edit an existing HP file: Press the edit .HP soft key. smarT.NC starts the pattern generator

To select an existing PNT file: Press the select .PNT soft key. smarT.NC opens a pop-up window with available point files. Select one of the displayed files, and open it with the ENT key or OK screen button.

If you want to edit a .PNT file, smarT.NC converts it to an .HP file! Answer the dialog prompt with OK.


Exiting the pattern generator

Press the END key or soft key. smarT.NC opens a pop-up window (see figure at right)

Press the ENT key or YES button to save all changes—or to save a newly created file—and to exit the pattern generator

Press the NO ENT key or NO button to discard all changes, and to exit the pattern generator

Press the ESC key to return to the pattern generator

If you started the pattern generator from a form, then you automatically return to that form after exiting the generator.

If you started the pattern generator from the main menu, then you automatically return to the last selected .HU program after exiting the generator.


Working with the pattern generator

Further Informations:
> Overview
> Defining a pattern
> Functions of the pattern generator
> Single point, Cartesian
> Single row, straight or rotated
> Pattern, straight, rotated or distorted
> Frame straight, rotated or distorted
> Full circle
> Pitch circle
> Changing the starting height
> Defining a retraction height for positioning (FCL 3 function)


Overview

The following possibilities are available in the pattern generator for defining machining positions:

Function | Soft key | Page
Single point, Cartesian |  | Single point, Cartesian
Single row, straight or rotated |  | Single row, straight or rotated
Pattern, straight, rotated or distorted |  | Pattern, straight, rotated or distorted
Frame straight, rotated or distorted |  | Frame straight, rotated or distorted
Full circle |  | Full circle
Pitch circle |  | Pitch circle
Changing the starting height |  | Changing the starting height


Defining a pattern

  • Select via soft key the pattern to be defined

  • Define the required input parameters in the form. Select the next input field with the ENT key or the arrow down key

  • Press the END key to save the entered parameters

After you have entered a pattern via a form, smarT.NC displays this pattern symbolically as an icon on the left side of the screen in the tree view (1).

The pattern is displayed graphically in the bottom right quarter of the screen (2) immediately after the input parameters have been saved.

After opening the tree view with the right arrow key, you can select any point within the pattern you have created with the arrow down key. smarT.NC displays the selected point on the left in the graphic on the right, marked blue (3). For informational purposes, the Cartesian coordinates of the currently selected point are shown in the top right quarter of the screen (4).


Functions of the pattern generator
Function | Soft key
Hide the pattern or position selected in the tree view for machining. Hidden patterns or positions are marked in the tree view with a red slash, and in the preview graphics with a bright red dot. |
Reactivate a hidden pattern or position |
Disable the position selected in the tree view for machining. Disabled positions are marked in the tree view with a red x. smarT.NC does not display disabled positions in the graphic at all. These positions are not saved in the .HP file that smarT.NC creates as soon as you exit the pattern generator. |
Reactivate disabled positions |
Export the defined machining positions to a PNT file. Necessary only if you want to use the machining pattern on older software levels of the iTNC 530. |
Show only the pattern selected in the tree view, or show all defined patterns. smarT.NC shows the pattern selected in the tree view in blue. |
Display or hide rulers |
Go to previous page |
Go to next page |
Go to beginning of file |
Go to end of file |
Zoom function: Shift zoom area up (last soft-key row) |
Zoom function: Shift zoom area down (last soft-key row) |
Zoom function: Shift zoom area to the left (last soft-key row) |
Zoom function: Shift zoom area to the right (last soft-key row) |
Zoom function: Magnify workpiece. The TNC always magnifies the center of the view currently being displayed. Use the scroll bars to position the drawing in the window so that the desired section appears after the soft key has been pressed (last soft-key row). |
Zoom function: Reduce the workpiece (last soft-key row) |
Zoom function: Show workpiece in original size (last soft-key row) |


Single point, Cartesian

X: Coordinate in the reference axis of the working plane

Y: Coordinate in the minor axis of the working plane


Single row, straight or rotated

Starting point 1st axis: Coordinate of the starting point of the row in the reference axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the row in the minor axis of the working plane

Distance: Distance between the machining positions. You can enter a positive or negative value.

Number of repetitions: Total number of machining operations

Rotation: Angle of rotation around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.


Pattern, straight, rotated or distorted

Starting point 1st axis: Coordinate of the starting point of the pattern (1) in the major axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the pattern (2) in the minor axis of the working plane

Distance in 1st axis: Distance of the machining positions in the major axis of the working plane. You can enter a positive or negative value.

Distance in 2nd axis: Distance of the machining positions in the minor axis of the working plane. You can enter a positive or negative value.

Number of lines: Total number of rows in the pattern

Number of columns: Total number of columns in the pattern

Rotation: Angle of rotation by which the entire pattern is rotated around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Rotary pos. ref. ax.: Angle of rotation around which only the principal axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Rotary pos. minor ax.: Angle of rotation around which only the minor axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

The Rotary pos. ref. ax. and Rotary pos. minor ax. parameters are added to a previously performed rotation of the entire pattern.


Frame straight, rotated or distorted

Starting point 1st axis: Coordinate of the starting point of the frame (1) in the major axis of the working plane

Starting point 2nd axis: Coordinate of the starting point of the frame (2) in the minor axis of the working plane

Distance in 1st axis: Distance of the machining positions in the major axis of the working plane. You can enter a positive or negative value.

Distance in 2nd axis: Distance of the machining positions in the minor axis of the working plane. You can enter a positive or negative value.

Number of lines: Total number of rows in the frame

Number of columns: Total number of columns in the frame

Rotation: Angle of rotation by which the entire frame is rotated around the entered starting point. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Rotary pos. ref. ax.: Angle of rotation around which only the principal axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

Rotary pos. minor ax.: Angle of rotation around which only the minor axis of the machining plane is distorted with respect to the entered starting point. You can enter a positive or negative value.

The Rotary pos. ref. ax. and Rotary pos. minor ax. parameters are added to a previously performed rotation of the entire frame.


Full circle

Center in 1st axis: Coordinate of the circle center point (1) in the major axis of the working plane

Center in 2nd axis: Coordinate of the circle center point (2) in the minor axis of the working plane

Diameter: Circle diameter

Starting angle: Polar angle of the first machining position. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Number of repetitions: Total number of machining positions on the circle

smarT.NC always calculates the angle increment between two machining positions by dividing 360° by the number of machining operations.


Pitch circle

Center in 1st axis: Coordinate of the circle center point (1) in the major axis of the working plane

Center in 2nd axis: Coordinate of the circle center point (2) in the minor axis of the working plane

Diameter: Circle diameter

Starting angle: Polar angle of the first machining position. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value.

Stepping angle: Incremental polar angle between two machining positions. You can enter a positive or negative value. Changing the stepping angle automatically changes the defined stopping angle.

Number of repetitions: Total number of machining positions on the circle

Stopping angle: Polar angle of the last bore hole. Reference axis: Major axis of the active machining plane (e.g. X for tool axis Z). You can enter a positive or negative value. Changing the stopping angle automatically changes the stepping angle if one was defined.


Changing the starting height

Top surface coordinate: Coordinate of the top surface of the workpiece

If you do not define a starting height in the definition of the machining positions, smarT.NC always sets the coordinate of the workpiece surface to 0.

If you change the starting height, then the new starting height is valid for all subsequently programmed machining positions.

If you select the symbol for the top surface coordinate in the tree view, then all machining positions for which this starting height is valid turn green in the preview graphic.


Defining a retraction height for positioning (FCL 3 function)

  • Use the arrow keys to select any single position that is to be approached at a height you define.

Retraction height: Enter the absolute coordinate at which the TNC is to approach this position. The TNC marks the position with an additional circle.

The retraction height you define is always referenced to the active datum.


Defining Contours

Further Informations:
> Defining Contours


Defining Contours

Defining Contours

Further Informations:
> Fundamentals
> Starting the contour programming
> Exiting the contour programming
> Working with contour programming


Fundamentals

Contours are defined in separate files (file type .HC). Since .HC files contain pure descriptions of contours—only geometry data, no technology data—they can be used flexibly: as contour trains, as pockets or as islands.

You can create an HC file either with the path functions or by using the DXF converter (software option) to import it from existing DXF files.

Existing contour descriptions in older plain-language programs (.H files) can easily be converted into smarT.NC contour descriptions (see Converting existing conversational dialog programs into contour programs).

Just as with unit programs and the pattern generator, smarT.NC displays each contour element in the tree view (1) with an appropriate icon. Enter the data for each contour element in the form (2). In the FK free contour programming, along with the overview form (3) there are up to three additional detail forms (4) in which you can enter data (see figure at bottom right).


Starting the contour programming

The contour programming for smarT.NC can be started in two different ways:

  • Directly from the main row of the editing menu, if you want to define several separate contours in a row
  • From the form during the machining definition, when you are supposed to enter the names of the contours to be machined
Further Informations:
> Starting the contour programming from the main row of the editing menu
> Starting contour programming from a form


Starting the contour programming from the main row of the editing menu

Select the smarT.NC operating mode

Select the third soft-key row

Start contour programming: smarT.NC switches to the file manager (see figure at right) and shows any existing contour programs

Select an existing contour program (*.HC) and open it with the ENT key, or

Create a new contour program: Enter the file name (without file type), and confirm with the mm or inch key. smarT.NC opens a contour program with the units of measurement you selected.

smarT.NC automatically inserts two lines for defining the drawing surface. If required, adjust the dimensions.


Starting contour programming from a form

Select the smarT.NC operating mode

Select any machining step for which contour programs are required (Unit 122, Unit 125)

Select the input field in which the name of the contour program is to be defined (1, see figure)

To create a new file: Enter the file name (without file type), and confirm with the new soft key

Specify the units of measurement for the new contour program with the mm or inch button in the pop-up window: smarT.NC opens a contour program with the units of measurement you selected, opens contour programming, and automatically uses the workpiece blank definition specified in the unit program (definition of the drawing surface).

To select an existing HC file: Press the select hc soft key. smarT.NC opens a pop-up window with available contour programs. Select one of the displayed contour programs, and open it with the ENT key or OK button.

To edit an existing HC file: Press the edit soft key. smarT.NC starts contour programming

To select an HC file with the DXF converter: Press the SHOW dxf soft key. smarT.NC opens a pop-up window with available DXF files. Select one of the displayed DXF files and confirm your selection with the ENT key or the OK button. The TNC starts the DXF converter, with which you select the desired contour and can save the contour name directly in the form see Processing DXF files (software option)


Exiting the contour programming

Press the END key: smarT.NC exits the contour programming and returns to the state from which you started contour programming: Either to the last active .HU program, if you started from the smarT.NC main row, or to the entry form of the machining step, if you started from the form.

If you started contour programming from a form, then you automatically return to that form after exiting the generator.

If you started contour programming from the main menu, then you automatically return to the last selected .HU program after exiting the programming.


Working with contour programming

Further Informations:
> Overview
> FK free contour programming
> Functions of the programming graphics
> Selecting from multiple possible solutions
> Functions available for contour programming
> Converting existing conversational dialog programs into contour programs


Overview

The contour elements are programmed using the familiar conversational dialog functions. Along with the gray path functions keys, the powerful FK free contour programming is also available. These forms are called via soft keys.

The support graphics, which are available for each input field and clarify which parameter is to be entered, are especially helpful for FK programming.

All familiar functions of the programming graphics are available in smarT.NC without restriction.

    Dialog guidance in the forms is almost identical with that in conversational programming:

  • The orange axis keys position the cursor in the desired input field
  • The orange I key is used to switch between absolute and incremental programming
  • The orange P key is used to switch between Cartesian and polar coordinate programming


FK free contour programming

Workpiece drawings that are not dimensioned for NC often contain unconventional coordinate data that cannot be entered with the gray path function keys.

You can enter such dimensional data directly by using the FK free contour programming function. The TNC calculates the contour from the known contour information that you entered in the form. The following functions are available:

Function | Soft key
Straight line with tangential connection |
Straight line without tangential connection |
Circular arc with tangential connection |
Circular arc without tangential connection |
Pole for FK programming |

Information about possible contour entries are in the tooltip that the TNC displays for each entry field see Mouse operation and in the User’s Manual for Conversational Programming.


Functions of the programming graphics
Function | Soft key
Generate a complete graphic |
Generate programming graphic blockwise |
Generate a complete graphic or complete it after RESET + START |
Stop the programming graphics. This soft key only appears while the TNC is generating the interactive graphics. |
Zoom function (third soft-key row): Show and move the frame |
Zoom function: Reduce the section. Press the soft key repeatedly for further reduction. |
Zoom function: Magnify the section. Press the soft key repeatedly for further magnification. |
Restore original section |
Select marked area |

The different colors of the displayed contour elements indicate their validity:

Blue | The contour element is fully defined
Green | The entered data describe a limited number of possible solutions: select the correct one
Red | The entered data are not sufficient to determine the contour element: enter further data


Selecting from multiple possible solutions

If incomplete entries lead to multiple theoretically possible solutions, then (with graphic support) you can select the correct solution via soft key:

Show the possible solutions

Select the displayed solution and open it

Program further contour elements

Graphically display the next programmed block


Functions available for contour programming
Function | Soft key
Assume the workpiece-blank definition from the .HU program if you called the contour programming from a smarT.NC unit |
Display or hide the block numbers |
Redraw the programming graphics, for example if lines were deleted by intersections |
Clear programming graphics |
Graphically display programmed contour elements immediately after entry: Function OFF / ON |


Converting existing conversational dialog programs into contour programs

In this procedure you must copy an existing conversational dialog program (.H file) into a contour description (.HC file). Since the two file types have a different internal data format, an ASCII file must be created as an intermediary for this copy procedure. Proceed as follows:

Select the Programming and Editing mode of operation

Call the file manager

Select the .H program to be converted

Select the copy function: Enter *.A as the target file. The TNC creates an ASCII file from the conversational dialog program.

Select the created ASCII file

Select the copy function: Enter *.HC as the target file. The TNC creates a contour description from the ASCII file.

Select the newly created .HC file and remove all blocks—except the BLK FORM workpiece blank definition—that do not describe contours

Remove programmed radius compensations, feed rates and M functions. The .HC file can now be used by smarT.NC


Processing DXF files (software option)

Further Informations:
> Processing DXF files (software option)


Processing DXF files (software option)

Processing DXF files (software option)

Further Informations:
> Application
> Opening a DXF file
> Basic settings
> Layer settings
> Specifying the reference point
> Contour selection, saving a contour program
> Selecting and storing machining positions
> Zoom function


Application

DXF files created in a CAD system can be opened directly by the TNC, in order to extract contours or machining positions, and save them as conversational programs or as point files. Plain-language programs acquired in this manner can also be run by older TNC controls, since these contour programs contain only L and CC/C blocks.

The DXF files to be processed must be stored on the hard disk of your TNC.

Before loading the file to the TNC, ensure that the name of the DXF file does not contain any blank spaces or impermissible special characters.

The DXF file to be opened must contain at least one layer.

The TNC supports the most common DXF‑format, R12 (equivalent to AC1009).

The TNC does not support binary DXF format. When generating the DXF file from a CAD or drawing program, make sure that you save the file in ASCII format.

    The following DXF elements can be selected as contours:

    • LINE (straight line)
    • CIRCLE (complete circle)
    • ARC (circular arc)
    • POLYLINE


Opening a DXF file

The DXF converter can be started in different ways:

  • From the file management if you want to extract several contour or position files consecutively
  • From the form during the machining definition of units 125 (contour train), 122 (contour pocket) and 130 (contour pocket on point pattern) if you are supposed to enter the names of the contours to be machined
  • While defining the machining, if you enter the machining positions via point files

The TNC automatically saves the datum defined by you and the current zoom condition upon exiting the DXF converter. If you want to open the same DXF file again, the TNC loads this information (valid for the previously selected file).

Further Informations:
> Starting the DXF converter through the file management
> Starting the DXF converter from a form


Starting the DXF converter through the file management

Select the smarT.NC operating mode

Call the file manager

In order to see the soft-key menu for selecting the file type to be displayed, press the SELECT TYPE soft key

In order to show all DXF files, press the SHOW DXF soft key

Select the desired DXF file, and load it with the ENT key. smarT.NC starts the DXF converter and shows the contents of the DXF file on the screen. The TNC shows the layers in the left window, and the drawing in the right window.


Starting the DXF converter from a form

Select the smarT.NC operating mode

Select any machining step for which contour programs or point files are necessary

Select the input field in which the name of the contour program or point file is to be defined

To start the DXF converter: Press the SHOW dxf soft key. smarT.NC opens a pop-up window with available DXF‑files. If necessary, select the directory in which the DXF file to be opened is saved. Select one of the displayed DXF files and confirm your selection with the ENT key or the OK button. The TNC starts the DXF converter, with which you select the desired contour or positions, and can save the contour name or the name of the point file directly in the form see Processing DXF files (software option)


Basic settings

The third soft-key row has various possibilities for settings:

Setting Soft key

COLOR normal/inverted: Changing the color scheme

3-D mode/2-D mode: Change between 2‑D and 3-D mode

Unit of measure MM/INCH: Enter the unit of measurement of the DXF file. The TNC then outputs the contour program in this unit of measurement.

Set the tolerance. The tolerance specifies how far apart neighboring contour elements may be from each other. You can use the tolerance to compensate for inaccuracies that occurred when the drawing was made. The default setting depends on the extent of the entire DXF file.

Set resolution: The resolution specifies how many decimal places the TNC should use when generating the contour program. Default setting: 4 decimal places (equivalent to 0.1 µm resolution)

    Mode for point assumption with circles and arcs: The mode determines whether the TNC automatically assumes the circle center point when selecting machining positions via mouse click (OFF), or if additional points on the circle should be shown as well.

    • OFF
      Do not show additional points on the circle. Assume the circle center point directly when a circle or arc is clicked.
    • ON
      Do show additional points on the circle. Assume each desired circle point by clicking it

Show tool path: Specify whether the TNC should display the tool path during selection of machining positions.

Please note that you must set the correct unit of measure, since the DXF file does not contain any such information.


Layer settings

As a rule, DXF files contain multiple layers, with which the designer organizes the drawing. The designer uses the layers to create groups of various types of elements, such as the actual workpiece contour, dimensions, auxiliary and design lines, shadings, and texts.

So that as little unnecessary information as possible appears on the screen during selection of the contours, you can hide all excessive layers contained in the DXF file.

The DXF file to be processed must contain at least one layer.

You can even select a contour if the designer has saved it on different layers.

If it has not already been activated, select the mode for the layer settings. In the left window the TNC shows all layers contained in the active DXF file

To hide a layer, select the layer with the left mouse button, and click its check box to hide it-

To show a layer, select the layer with the left mouse button, and click its check box again to show it-


Specifying the reference point

The datum of the drawing for the DXF file is not always located in a manner that lets you use it directly as a reference point for the workpiece. Therefore, the TNC has a function with which you can shift the drawing datum to a suitable location by clicking an element.

    You can define a reference point at the following locations:

  • At the beginning, end or center of a straight line
  • At the beginning or end of a circular arc
  • At the transition between quadrants or at the center of a complete circle
  • At the intersection between:
    • A straight line and a straight line, even if the intersection is actually on the extension of one of the lines
    • A straight line and circular arc
    • A straight line and full circle
    • A complete circle / circle segment and a complete circle / circle segment

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to specify a reference point.

You can also change the reference point once you have already selected the contour. The TNC does not calculate the actual contour data until you save the selected contour in a contour program.

Further Informations:
> Selecting a reference point on a single element
> Selecting a reference point on the intersection of two elements
> Element information


Selecting a reference point on a single element

Select the mode for specifying the reference point

Click the element on which you want to set the reference point with the left mouse button. The TNC indicates possible locations for reference points on the selected element with stars

Click the star you want to select as reference point. The TNC sets the reference-point symbol to the selected location. Use the zoom function if the selected element is too small


Selecting a reference point on the intersection of two elements

Select the mode for specifying the reference point

Click the first element (straight line, complete circle or circular arc) with the left mouse button. The TNC indicates possible locations for reference points on the selected element with stars.

Click the second element (straight line, complete circle or circular arc) with the left mouse button. The TNC sets the reference-point symbol on the intersection.

The TNC calculates the intersection of two elements even if it is on the extension of one of these elements.

If the TNC calculates multiple intersections, it selects the intersection nearest the mouse-click on the second element.

If the TNC cannot calculate an intersection, it rescinds the marking of the first element.


Element information

At the bottom left of the screen, the TNC shows how far the reference point you haven chosen is located from the drawing datum.


Contour selection, saving a contour program

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to select a contour.

Select the first contour element such that approach without collision is possible.

If the contour elements are very close to one another, use the zoom function.

Select the mode for choosing a contour. The TNC hides the layers shown in the left window, and the right window becomes active for contour selection.

To select a contour element, click the desired contour element with the left mouse button. The selected contour element turns blue. At the same time, the TNC marks the selected element with a symbol (circle or line) in the left window.

To select the next contour element, click the desired contour element with the left mouse button. The selected contour element turns blue. If further contour elements in the selected machining sequence are clearly selectable, these elements turn green. Click on the last green element to assume all elements into the contour program. The TNC shows all selected contour elements in the left window. The TNC displays elements that are still green in the NC column without a check mark. The TNC does not save these elements to the contour program

If necessary you can also deselect elements that you already selected, by clicking the element in the right window again, but this time while pressing the CTRL key.

If you have selected polylines, the TNC shows a two-level ID number in the left window. The first number is the serial contour element number, the second element is the element number of the respective polyline from the DXF file.

To save the selected contour elements in a plain-language program, enter any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved.

If you want to select more contours: Press the cancel selected elements soft key and select the next contour as described above

The TNC also transfers two workpiece-blank definitions (BLK FORM) to the contour program. The first definition contains the dimensions of the entire DXF file. The second one, which is the active one, contains only the selected contour elements, so that an optimized size of the workpiece blank results.

The TNC only saves elements that have actually been selected (blue elements), which means that they have been given a check mark in the left window.

If you call the DXF converter from a form, smarT.NC automatically closes the DXF converter after you have completed the SAVE SELECTED ELEMENTS function. Then smarT.NC writes the defined contour name to the input field from which you have started the DXF converter.

Further Informations:
> Dividing, extending and shortening contour elements
> Element information


Dividing, extending and shortening contour elements

If contour elements to be selected in the drawing connect poorly, then you must first divide the contour element. This function is automatically available if you are in the mode for selecting a contour.

Proceed as follows:

  • The poorly connecting contour element is selected, so it is colored blue.

  • Click the contour element to be divided: The TNC shows the point of intersection with a star in a circle, and the selectable end points with simple stars.

  • Press the CTRL key and click the point of intersection: The TNC divides the contour element at the point of intersection and the stars disappear. If there is a gap, or the elements overlap, the TNC extends or shortens these poorly connecting contour elements to the point of intersection of the two elements.

  • Click the divided contour element again: The TNC shows the end points and points of intersection again.

  • Click the desired end point: The TNC now colors the divided element blue.

  • Select the next contour element.

If the contour element to be extended or shortened is a straight line, then the TNC extends/shortens the contour element along the same line. If the contour element to be extended or shortened is a circular arc, then the TNC extends/shortens the contour element along the same arc.

In order to use this function, at least two contour elements must already be selected, so that the direction is clearly determined.


Element information

    At the bottom left of the screen, the TNC displays information about the contour element that you last selected via mouse click in the left or right window.

  • Straight line
    End point of the straight line, and the starting point is grayed out
  • Circle or arc
    Circle center point, circle end point, and direction of rotation. Grayed out: the starting point and circle radius


Selecting and storing machining positions

You must use the touchpad on the TNC keyboard or a mouse attached via the USB port in order to select a machining position.

If the positions to be selected are very close to one another, use the zoom function.

If required, configure the basic settings so that the TNC shows the tool paths see Basic settings

    Three possibilities are available in the pattern generator for defining machining positions:

  • Individual selection:
    You select the desired machining position through individual mouse clicks
  • Quick selection of hole positions in an area defined by the mouse:
    By dragging the mouse to define an area, you can select all the hole positions within it
  • Quick selection of hole positions by entering a diameter:
    By entering a hole diameter, you can select all hole positions with that diameter in the DXF file
Further Informations:
> Individual selection
> Quick selection of hole positions in an area defined by the mouse
> Quick selection of hole positions by entering a diameter
> Filter settings
> Element information
> Undoing actions


Individual selection

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection.

In order to select a machining position, click the desired element with the left mouse button. The TNC indicates possible locations for machining positions on the selected element with stars. Click one of the stars: The TNC loads the selected position into the left window (displays a point symbol). If you click a circle, the TNC adopts the circle center as machining position.

If necessary you can also deselect elements that you already selected, by clicking the element in the right window again, but this time while pressing the CTRL key (click inside the marked area).

If you want to specify the machining position at the intersection of two elements, click the first element with the left mouse button: the TNC displays stars at the selectable machining positions.

Click the second element (straight line, complete circle or circular arc) with the left mouse button. The TNC loads the intersection of the elements into the left window (displays a point symbol).

To save the selected machining positions in a points file, enter any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved.

If you want to select more machining positions in order to save them in a different file, press the cancel selected elements soft key and select as described above.


Quick selection of hole positions in an area defined by the mouse

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection.

Press the shift key on the keyboard and drag the left mouse key to define an area in which the TNC is to adopt all included circle centers as hole positions: the TNC opens a window in which you can filter the holes by size.

Configure the filter settings Filter settings and click the Use button to confirm: The TNC loads the selected positions into the left window (displays a point symbol).

If necessary you can also deselect elements that you already selected, by dragging an area open again, but this time while pressing the CTRL key.

To save the selected machining positions in a points file, enter any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores.

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved.

If you want to select more machining positions in order to save them in a different file, press the cancel selected elements soft key and select as described above.


Quick selection of hole positions by entering a diameter

Select the mode for choosing a machining position. The TNC hides the layers shown in the left window, and the right window becomes active for position selection.

Select the last soft-key row.

Open the dialog for diameter input: enter any diameter in the pop-up window displayed by the TNC.

Enter the desired diameter and confirm it with the ENT key: the TNC searches the DXF file for the entered diameter and then shows a pop-up window with the diameter selected that is closest to the diameter you entered. Also, you can retroactively filter the holes according to size.

If required, configure the filter settings Filter settings and click the Use button to confirm: The TNC loads the selected positions into the left window (displays a point symbol).

If necessary you can also deselect elements that you already selected, by dragging an area open again, but this time while pressing the CTRL key.

To save the selected machining positions in a points file, enter any file name in the pop-up window displayed by the TNC. Default setting: Name of the DXF file. If the name of the DXF file contains special characters or spaces, the TNC replaces the characters with underscores.

Confirm the entry: The TNC saves the contour program in the directory in which the DXF file is also saved.

If you want to select more machining positions in order to save them in a different file, press the cancel selected elements soft key and select as described above.


Filter settings

After you have used the quick selection function to mark hole positions, a pop-up window appears in which the smallest diameter found is to the left and the largest diameter to the right. With the buttons just below the diameter display you can adjust the smallest diameter in the left area and largest in the right area so that you can load the hole diameters that you want.

The following buttons are available:

Filter setting of smallest diameter | Soft key
Display the smallest diameter found (default setting) |
Display the next smaller diameter found |
Display the next larger diameter found |
Display the largest diameter found. The TNC sets the filter for the smallest diameter to the value set for the largest diameter |

Filter setting of largest diameter | Soft key
Display the smallest diameter found. The TNC sets the filter for the largest diameter to the value set for the smallest diameter |
Display the next smaller diameter found |
Display the next larger diameter found |
Display the largest diameter found (default setting) |

With the apply path optimization option on (default setting), the TNC sorts the selected machining positions for the most efficient possible tool path. You can have the tool path displayed by clicking the SHOW TOOL PATH soft key see Basic settings


Element information

At the bottom left of the screen, the TNC displays the coordinates of the machining position that you last selected via mouse click in the left or right window


Undoing actions

You can undo the four most recent actions that you have taken in the mode for selecting machining positions. The last soft key row provides the following soft keys for this purpose:

Function | Soft key
Undo the most recently conducted action |
Repeat the most recently conducted action |


Zoom function

The TNC features a powerful zoom function for easy recognition of small details during contour or point selection.

Function | Soft key
Magnify workpiece. The TNC always magnifies the center of the view currently being displayed. Use the scroll bars to position the drawing in the window so that the desired section appears after the soft key has been pressed. |
Reduce workpiece |
Show workpiece at original size |
Move zoomed area upward |
Move zoomed area downward |
Move zoomed area to the left |
Move zoomed area to the right |

If you have a wheel mouse, you can use it to zoom in and out. The zooming center is the location of the mouse pointer.


Assuming Data from Conversational Programs (software option)

Further Informations:
> Assuming Data from Conversational Programs (software option)


Assuming Data from Conversational Programs (software option)

Assuming Data from Conversational Programs (software option)

Further Informations:
> Function
> Opening a conversational program file
> Defining a datum, selecting and saving a contour


Function

You can use this function to copy contour sections or even entire contours from existing conversational programs, particularly those created with CAM systems. The TNC graphically displays the conversational programs in either 2-D or 3-D mode.


Opening a conversational program file

Select the smarT.NC operating mode

Select any machining step for which contour programs are necessary

Select the input field in which the name of the contour program or point file is to be defined

In order to show all conversational program files, press the SHOW H soft key

Select the directory in which the file is saved

Select the desired H file


Defining a datum, selecting and saving a contour

The steps for setting the datum and selecting the contours are identical to assuming data from a DXF file:

  • See “Specifying the reference point,” page 209
  • See “Contour selection, saving a contour program,” page 212


Graphically Testing and Running a Unit Program

Further Informations:
> Graphically Testing and Running a Unit Program


Graphically Testing and Running a Unit Program

Graphically Testing and Running a Unit Program

Further Informations:
> Programming graphics
> Test graphics and execution graphics
> Status displays
> Running a unit program


Programming graphics

The interactive programming graphics are only available for creation of a contour program (.HC file).

The TNC can generate a two-dimensional graphic of the contour while you are programming it:

Generate a complete graphic

Generate programming graphic blockwise

Start and complete the graphic

Automatic graphic generation during programming

Erase the graphic

Update the graphic

Display or hide block numbers


Test graphics and execution graphics

Select the GRAPHICS or PROGRAM+GRAPHICS layout.

The TNC can graphically display a machining operation in the Test Run and Program Run submodes of operation. The following functions are available via soft key:

Plan view

Projection in three planes

3-D view

Run a program test up to a certain block

Test the entire program

Test the program unit-by-unit

Reset the blank form and test the entire program

Display / Do not display workpiece blank outline

Reset workpiece blank

Display or hide tool

Activate/Deactivate function for measuring machining time

Consider or ignore program blocks preceded by a slash

Select the stopwatch functions

Set the simulation speed

Functions for section magnification

Functions for the sectional planes

Functions for rotating and magnifying/reducing


Status displays

Select the PROGRAM+STATUS screen layout.

In the program run modes a window in the lower part of the screen shows information on

  • Tool position
  • Feed rate
  • Active miscellaneous functions

By pressing the soft keys or clicking the tabs you can let further status information be displayed in a screen window:

Activate Overview tab: Display of the most important status information

Activate POS tab: Display of positions

Activate TOOL tab: Display of tool data

Activate TRANS tab: Display of active coordinate transformations

Shift tabs to the left

Shift tabs to the right


Running a unit program

You can run UNIT programs (*.HU) in the smarT.NC operating mode, or in the usual Program Run, Single Block or Program Run, Full Sequence operating modes.

When the “smarT.NC: Program run” operating mode is selected, the TNC automatically deactivates all global program-run settings that you have activated in the conventional Single Block or Full Sequence program run modes. Refer to the Conversational Programming User’s Manual for more information about this.

    You can run a unit program in the Program Run submode in the following ways:

  • Run the unit program unit by unit
  • Run the entire unit program
  • Run individual, active units

Please note the instructions on running a program in the machine manual and the User's Manual.

Further Informations:
> Procedure
> Mid-program startup (block scan, FCL 2 function)
> Mid-program startup in a point table (FCL 2 function)


Procedure

Select the smarT.NC operating mode

Select the Program Run submode

Press the Run single unit soft key, or

Press the Run all units soft key, or

Press the Run active unit soft key


Mid-program startup (block scan, FCL 2 function)

Use the mid-program startup function (block scan) to run a part program from any desired line number. The TNC scans the program blocks up to that line number and displays the contour (select the program + graphics screen layout).

If the start-up point lies on a machining step in which you have defined two or more machining positions, you can select the desired start-up point by entering a point index. The point index contains the position of the point in the input form.

You can select the point index very conveniently if you have defined the machining position in a point table. Then smarT.NC automatically shows the defined machining pattern in a preview window in which you can select a start-up point by soft key.


Mid-program startup in a point table (FCL 2 function)

Select the smarT.NC operating mode

Select the Program Run submode

Select mid-program startup

Enter the line number of the machining unit in which you want to start the program run. Confirm with the ENT key. Then smarT.NC displays the content of the point table in the preview window

Select the machining position where you want to resume machining

Press the NC Start key: smarT.NC calculates all factors required for program entry

Select the function for approaching the starting position: In a pop-up window, smarT.NC displays the machine status required at the startup position

Press the NC Start key: smarT.NC reestablishes the machine status (e.g. insert the required tool)

Press the NC Start key again: smarT.NC moves to the starting position in the sequence shown in the pop-up window. As an alternative, you can move separately in each axis to the starting position

Press the NC Start button. smarT.NC resumes program run

In addition, the following functions are available in the pop-up window:

Show/hide preview window

Show/hide the program interruption point last saved

Load the program interruption point last saved